/**********************************************************************
Copyright (c) 2002 Kelly Grizzle and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
2003 Erik Bengtson  - removed ununsed imports
2003 Andy Jefferson - commented
    ...
**********************************************************************/
package org.jpox;

import javax.jdo.JDOConnection;
import javax.jdo.PersistenceManagerFactory;

/**
 * Implementation of the JDO PersistenceManager.
 *
 * @version $Revision: 1.1 $
 **/
public class PersistenceManagerImpl
    extends AbstractPersistenceManager
    implements PersistenceManager
{
    /**
     * Constructor.
     * @param pmf The Persistence Manager Factory
     * @param userName The user login
     * @param password The password for the supplied login
     **/
    public PersistenceManagerImpl(AbstractPersistenceManagerFactory pmf, String userName, String password)
    {
        super(pmf, userName, password);
        tx = new NonmanagedTransaction(this, userName, password);
    }

    /**
     * Accessor for the Persistence Manager Factory.
     * @return The Persistence Manager factory
     **/
    public PersistenceManagerFactory getPersistenceManagerFactory()
    {
        return (PersistenceManagerFactory)getAbstractPersistenceManagerFactory();
    }

    /**
     * Accessor for a handle to the Persistence Manager
     * @return The PM handle.
     **/
    public PersistenceManager getPMHandle()
    {
        return this;
    }

    /**
     * Accessor for a connection on the datastore.
     * See JDO 2.0 spec section 12.16
     * @return The JDO connection to the datastore
     * @see javax.jdo.PersistenceManager#getDataStoreConnection()
     * @since 1.1
     */
    public JDOConnection getDataStoreConnection()
    {
        return tx.getJDOConnection();
    }
}
