/**********************************************************************
Copyright (c) 2004 Andy Jefferson and others. All rights reserved.
This program and the accompanying materials are made available under 
the terms of the JPOX License v1.0 which accompanies this distribution.

Contributors:
    ...
**********************************************************************/
package org.jpox.cache;

import java.util.Collection;

import javax.jdo.spi.PersistenceCapable;

/**
 * Null implementation of a Level 2 Cache.
 * Exists to meet the JDO 2 spec which states that the PMF will return a
 * DataStoreCache that silently does nothing when its methods are calledd.
 * 
 * @version $Revision: 1.1 $
 */
public class NullLevel2Cache implements Level2Cache
{

    /**
     * 
     * @see org.jpox.cache.Level2Cache#clear()
     */
    public void clear()
    {
    }

    /**
     * 
     * @see org.jpox.cache.Level2Cache#containsObject(javax.jdo.spi.PersistenceCapable)
     */
    public boolean containsObject(PersistenceCapable pc)
    {
        return false;
    }

    /**
     * 
     * @see org.jpox.cache.Level2Cache#containsOid(java.lang.Object)
     */
    public boolean containsOid(Object oid)
    {
        return false;
    }

    /**
     * 
     * @see org.jpox.cache.Level2Cache#get(java.lang.Object)
     */
    public PersistenceCapable get(Object oid)
    {
        return null;
    }

    /**
     * 
     * @see org.jpox.cache.Level2Cache#getNumberOfPinnedObjects()
     */
    public int getNumberOfPinnedObjects()
    {
        return 0;
    }

    /**
     * 
     * @see org.jpox.cache.Level2Cache#getNumberOfUnpinnedObjects()
     */
    public int getNumberOfUnpinnedObjects()
    {
        return 0;
    }

    /**
     * 
     * @see org.jpox.cache.Level2Cache#getSize()
     */
    public int getSize()
    {
        return 0;
    }

    /**
     * 
     * @see org.jpox.cache.Level2Cache#isEmpty()
     */
    public boolean isEmpty()
    {
        return false;
    }

    /**
     * 
     * @see org.jpox.cache.Level2Cache#put(java.lang.Object, javax.jdo.spi.PersistenceCapable)
     */
    public PersistenceCapable put(Object oid, PersistenceCapable pc)
    {
        return null;
    }

    /**
     * 
     * @see javax.jdo.DataStoreCache#evict(java.lang.Object)
     */
    public void evict(Object pc)
    {
    }

    /**
     * 
     * @see javax.jdo.DataStoreCache#evictAll(java.lang.Class, boolean)
     */
    public void evictAll(Class pcClass, boolean subclasses)
    {
    }

    /**
     * 
     * @see javax.jdo.DataStoreCache#evictAll(java.util.Collection)
     */
    public void evictAll(Collection pcs)
    {
    }

    /**
     * 
     * @see javax.jdo.DataStoreCache#evictAll(java.lang.Object[])
     */
    public void evictAll(Object[] pcs)
    {
    }

    /**
     * 
     * @see javax.jdo.DataStoreCache#pin(java.lang.Object)
     */
    public void pin(Object oid)
    {
    }

    /**
     * 
     * @see javax.jdo.DataStoreCache#pinAll(java.lang.Class, boolean)
     */
    public void pinAll(Class cls, boolean subs)
    {
    }

    /**
     * 
     * @see javax.jdo.DataStoreCache#pinAll(java.util.Collection)
     */
    public void pinAll(Collection oids)
    {
    }

    /**
     * 
     * @see javax.jdo.DataStoreCache#pinAll(java.lang.Object[])
     */
    public void pinAll(Object[] oids)
    {
    }

    /**
     * 
     * @see javax.jdo.DataStoreCache#unpin(java.lang.Object)
     */
    public void unpin(Object oid)
    {
    }

    /**
     * 
     * @see javax.jdo.DataStoreCache#unpinAll(java.lang.Class, boolean)
     */
    public void unpinAll(Class cls, boolean subs)
    {
    }

    /**
     * 
     * @see javax.jdo.DataStoreCache#unpinAll(java.util.Collection)
     */
    public void unpinAll(Collection oids)
    {
    }

    /**
     * 
     * @see javax.jdo.DataStoreCache#unpinAll(java.lang.Object[])
     */
    public void unpinAll(Object[] oids)
    {
    }
}