/**********************************************************************
Copyright (c) 2002 Mike Martin (TJDO) and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
2002 Kelly Grizzle (TJDO)
2003 Andy Jefferson - commented and localised.
    ...
**********************************************************************/
package org.jpox.exceptions;

import javax.jdo.JDOFatalException;

import org.jpox.util.Localiser;

/**
 * A <tt>CommitStateTransitionException</tt> is thrown when an error occurs
 * transitioning from one state to another
 *
 * @version $Revision: 1.1 $
 */
public class CommitStateTransitionException extends JDOFatalException
{
    private static final Localiser LOCALISER=Localiser.getInstance("org.jpox.exceptions.Localisation");

    /**
     * Constructor.
     * @param nested Nested exceptions
     **/
    public CommitStateTransitionException(java.lang.Exception[] nested)
    {
        super(LOCALISER.msg("Exception.CommitStateTransition"),nested);
    }
}
