/**********************************************************************
Copyright (c) 2002 Mike Martin (TJDO) and others. All rights reserved. 
This program and the accompanying materials are made available under 
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
2002 Kelly Grizzle (TJDO)
2003 Andy Jefferson - commented and localised.
    ...
**********************************************************************/
package org.jpox.exceptions;

import javax.jdo.JDOUserException;

import org.jpox.util.Localiser;

/**
 * A <tt>ConnectionFactoryNotFoundException</tt> is thrown if a named connection
 * factory cannot be found using its JNDI name.
 *
 * @version $Revision: 1.1 $
 * @see org.jpox.PersistenceManagerFactoryImpl
 */
public class ConnectionFactoryNotFoundException extends JDOUserException
{
    private static final Localiser LOCALISER=Localiser.getInstance("org.jpox.exceptions.Localisation");

    /**
     * Constructs a connection factory not found exception.
     * @param name      The JNDI name that was not found.
     * @param nested    The nested exception from the naming service.
     */
    public ConnectionFactoryNotFoundException(String name,Exception nested)
    {
        super(LOCALISER.msg("Exception.ConnectionFactoryNotFound",name),nested);
    }
}
