/**********************************************************************
Copyright (c) 2002 Mike Martin (TJDO) and others. All rights reserved.
This program and the accompanying materials are made available under 
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
2002 Kelly Grizzle (TJDO)
2003 Andy Jefferson - commented and localised.
    ...
**********************************************************************/
package org.jpox.exceptions;

import javax.jdo.JDOUserException;

import org.jpox.util.Localiser;

/**
 * An <tt>ConnectionInUseException</tt> is thrown if an operation is attempted
 * that requires a new database connection (such as Transaction.begin()) and a
 * previously obtained database connection (such as for non-transactional read
 * or write) is still in-use.
 *
 * @version $Revision: 1.1 $
 * @link org.jpox.NonmanagedTransaction
 */
public class ConnectionInUseException extends JDOUserException
{
    private static final Localiser LOCALISER=Localiser.getInstance("org.jpox.exceptions.Localisation");

    /**
     * Constructor.
     */
    public ConnectionInUseException()
    {
        super(LOCALISER.msg("Exception.ConnectionInUse"));
    }
}
