/**********************************************************************
Copyright (c) 2004 Erik Bengtson and others. All rights reserved. 
This program and the accompanying materials are made available under
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
    ...
**********************************************************************/
package org.jpox.exceptions;

import javax.jdo.JDOUserException;

/**
 * An <tt>MetaDataForPersistenceCapableClassNotReachableException</tt> is
 * thrown if a class implements PersistenceCapable interface but its jdo
 * metadata is unreachable in the classpath.
 * 
 * @version $Revision: 1.1 $
 * @see org.jpox.metadata.ClassMetaData
 */
public class MetaDataForPersistenceCapableClassNotReachableException extends JDOUserException
{
    /**
     * Constructs a MetaData for PersistenceCapable class not reachable exception with the specified
     * detail message.
     *
     * @param msg       the detail message
     */
    public MetaDataForPersistenceCapableClassNotReachableException(String msg)
    {
        super(msg);
    }

    /**
     * Constructs a MetaData for PersistenceCapable class not reachable exception with the specified
     * detail message and nested exception.
     *
     * @param msg       the detail message
     * @param nested    the nested exception(s).
     */
    public MetaDataForPersistenceCapableClassNotReachableException(String msg, Exception nested)
    {
        super(msg, nested);
    }
}
