/**********************************************************************
Copyright (c) 2002 Mike Martin (TJDO) and others. All rights reserved. 
This program and the accompanying materials are made available under 
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
2002 Kelly Grizzle (TJDO)
2003 Andy Jefferson - commented and localised.
    ...
**********************************************************************/
package org.jpox.exceptions;

import javax.jdo.JDOUserException;

import org.jpox.util.Localiser;

/**
 * An <tt>TransactionNotActiveException</tt> is thrown if a transaction is not
 * active and an operation is performed that requires that a transaction be
 * active (such as committing a transaction).
 *
 * @version $Revision: 1.1 $
 * @link org.jpox.NonmanagedTransaction
 */
public class TransactionNotActiveException extends JDOUserException
{
    private static final Localiser LOCALISER=Localiser.getInstance("org.jpox.exceptions.Localisation");

    /**
     * Constructor.
     */
    public TransactionNotActiveException()
    {
        super(LOCALISER.msg("Exception.TransactionNotActive"));
    }
}
