/**********************************************************************
Copyright (c) 2002 Mike Martin (TJDO) and others. All rights reserved. 
This program and the accompanying materials are made available under 
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
2002 Kelly Grizzle (TJDO)
2003 Andy Jefferson - commented and localised.
    ...
**********************************************************************/
package org.jpox.exceptions;

import javax.jdo.JDOUnsupportedOptionException;

import org.jpox.util.Localiser;

/**
 * A <tt>UnsupportedConnectionFactoryException</tt> is thrown if a configured
 * connection factory is not of a supported factory type.
 *
 * @version $Revision: 1.1 $
 * @see org.jpox.PersistenceManagerFactoryImpl
 */
public class UnsupportedConnectionFactoryException extends JDOUnsupportedOptionException
{
    private static final Localiser LOCALISER=Localiser.getInstance("org.jpox.exceptions.Localisation");

    /**
     * Constructs an unsupported connection exception.
     * @param factory The connection factory object that is not supported.
     */
    public UnsupportedConnectionFactoryException(Object factory)
    {
        super(LOCALISER.msg("Exception.UnsupportedConnectionFactory",factory));
    }
}
