/**********************************************************************
Copyright (c) 04-Jun-2004 Andy Jefferson and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution.

Contributors:
    ...
**********************************************************************/
package org.jpox.metadata;

/**
 * Representation of the Meta-Data for a container.
 * This is subclasses by Array, Collection, and Map. 
 *
 * @version $Revision: 1.1 $
 */
public class ContainerMetaData extends ExtendableMetaData
{
    /**
     * Constructor.
     * @param parent The parent Field
     */
    public ContainerMetaData(FieldMetaData parent)
    {
        super(parent);
    }

    /**
     * Accessor for the parent Field MetaData.
     * @return Parent metadata
     */
    public FieldMetaData getFieldMetaData()
    {
        if (parent != null)
        {
            return (FieldMetaData)parent;
        }
        return null;
    }

    /**
     * Accessor for the parent field name
     * @return Parent field name.
     */
    public String getFieldName()
    {
        if (parent != null)
        {
            return ((FieldMetaData)parent).getName();
        }
        return null;
    }

    /**
     * Accessor for the MetaDataManager of the file.
     * @return MetaDataManager.
     */
    public MetaDataManager getMetaDataManager()
    {
        if (parent != null)
        {
            return getFieldMetaData().getClassMetaData().getMetaDataManager();
        }
        return null;
    }
}
