/**********************************************************************
Copyright (c) 2003 Erik Bengtson and others. All rights reserved. 
This program and the accompanying materials are made available under 
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
2003 Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.poid;

import java.io.Serializable;

/**
 * Persistent Object id. A general purpose oid. The OID can be of any
 * kind, String, Long, Date, Application ID, etc.
 * 
 * @author Erik Bengtson
 * @version $Revision: 1.1 $
 */
public class Poid implements Serializable
{
    /**
     * the oid
     */
    private Object oid;
 
    /**
     * Constructor for Poid
     * @param oid The Object ID
     */
    Poid(Object oid)
    {
        this.oid = oid;
    }

    /**
     * Returns the oid.
     * @return The OID
     */
    public Object getOid()
    {
        return oid;
    }

    /**
     * Sets the oid.
     * @param oid The oid to set
     */
    public void setOid(Object oid)
    {
        this.oid = oid;
    }

    /**
     * @param obj The object to compare against
     * @see java.lang.Object#equals(Object)
     * @return boolean the result of the comparation
     */
    public boolean equals(Object obj)
    {
        if (!(obj instanceof Poid))
        {
            return false;
        }
        return ((Poid)obj).getOid().equals(this.getOid());
    }
}
