/**********************************************************************
Copyright (c) 2003 Erik Bengtson and others. All rights reserved.
This program and the accompanying materials are made available under
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
2003 Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.poid;

import java.sql.Connection;
import java.util.Properties;

/**
 * Generator interface for POIDs
 *
 * @version $Revision: 1.1 $
 */
public interface PoidGenerator
{
    /**
     * reserve a block of poid
     * @return a block of IDs
     */
    PoidBlock reserveBlock();

    /**
     * reserve a block of poid
     * @param size
     * @return a block of IDs
     */
    PoidBlock reserveBlock(long size);

    /**
     * does this generator requires a database connection
     * @return true if this PoidGenerator requires a JDBC connection
     */
    boolean requiresConnection();

    /**
     * sets the connection
     * @param conn The connection
     */
    void setConnection(Connection conn);

    /**
     * configure properties for the generator instance
     * @param properties Properties table to be used by the PoidGenerator
     */
    void setGeneratorProperties(Properties properties);
}
