/**********************************************************************
Copyright (c) 2003 Erik Bengtson and others. All rights reserved.
This program and the accompanying materials are made available under
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
    ...
**********************************************************************/
package org.jpox.poid;

import java.sql.Connection;

/**
 * JDBC SQL Connection provider for a PoidGenerator that requires
 * a JDBC SQL Connection
 *
 * @version $Revision: 1.1 $ 
 */
public interface PoidJDBCConnectionProvider
{
	/**
	 * Provides a JDBC Connection for an PoidGenerator
	 * @return Connection
	 */
	Connection getPoidJDBCConnection();
	
	/**
	 * Releases the Connection. Inform to the provider that connection is no longer in use
	 */
	void releaseConnection();
}
