/**********************************************************************
Copyright (c) 2003 Erik Bengtson and others. All rights reserved.
This program and the accompanying materials are made available under
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
2003 Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.poid;

/**
 * PoidRepositoryCreator is an optional interface that can be implemented
 * to create the Repository that holds the unique IDS available.
 *
 * @version $Revision: 1.1 $
 */
public interface PoidRepositoryCreator
{
    /**
     * Creates the Repository. Called only after a first unsuccessful first
     * attempt to obtain a block of unique identifiers
     * @return true if the Repository was created with success and is
     * available for use.
     * @since 1.0
     */
    boolean createRepository();
}