/**********************************************************************
Copyright (c) 2002 Mike Martin (TJDO) and others. All rights reserved. 
This program and the accompanying materials are made available under
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
2003 Andy Jefferson - commented
    ...
**********************************************************************/
package org.jpox.sco.exceptions;

import org.jpox.StateManager;

/**
 * A <tt>IncompatibleElementTypeException</tt> is thrown if an incompatible
 * element type is specified in the construction of a second-class Collection
 * or Set instance.
 *
 * @version $Revision: 1.1 $
 */
public class IncompatibleElementTypeException extends IncompatibleTypeException
{
    /**
     * Constructs an incompatible element type exception.
     * @param ownerSM The StateManager of the object owning the SCO field.
     * @param fieldName The name of the SCO field.
     * @param requiredTypeName Name of required type of the element.
     * @param requestedTypeName Name of requested type of the element.
     */
    public IncompatibleElementTypeException(StateManager ownerSM,
                                            String fieldName,
                                            String requiredTypeName,
                                            String requestedTypeName)
    {
        super(ownerSM, fieldName,"element",requiredTypeName,requestedTypeName);
    }
}
