/**********************************************************************
Copyright (c) 2002 Mike Martin (TJDO) and others. All rights reserved. 
This program and the accompanying materials are made available under
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
2003 Andy Jefferson - commented
    ...
**********************************************************************/
package org.jpox.sco.exceptions;

import org.jpox.StateManager;

/**
 * A <tt>IncompatibleKeyTypeException</tt> is thrown if an incompatible key
 * type is specified in the construction of a second-class Map instance.
 *
 * @version $Revision: 1.1 $
 */
public class IncompatibleKeyTypeException extends IncompatibleTypeException
{
    /**
     * Constructs an incompatible key type exception.
     *
     * @param ownerSM The StateManager of the object owning the SCO field.
     * @param fieldName The name of the SCO field.
     * @param requiredTypeName Name of required type of the key.
     * @param requestedTypeName Name of requested type of the key.
     */
    public IncompatibleKeyTypeException(StateManager ownerSM,
                                        String fieldName,
                                        String requiredTypeName,
                                        String requestedTypeName)
    {
        super(ownerSM,fieldName,"key",requiredTypeName,requestedTypeName);
    }
}
