/**********************************************************************
Copyright (c) 2002 Mike Martin (TJDO) and others. All rights reserved. 
This program and the accompanying materials are made available under 
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
2003 Andy Jefferson - commented
    ...
**********************************************************************/
package org.jpox.sco.exceptions;

import org.jpox.StateManager;
import org.jpox.util.Localiser;

/**
 * A <tt>NullsNotAllowedException</tt> is thrown if an attempt is made to
 * insert a null object into a Collection or Map that doesn't support nulls.
 *
 * @version $Revision: 1.1 $
 */
public class NullsNotAllowedException extends SCOException
{
    private static final Localiser LOCALISER=Localiser.getInstance("org.jpox.sco.Localisation");

    /**
     * Constructs a nulls-not-allowed exception.
     *
     * @param ownerSM       The StateManager of the object owning the SCO field.
     * @param fieldName     The name of the SCO field.
     */

    public NullsNotAllowedException(StateManager ownerSM, String fieldName)
    {
        super(ownerSM,fieldName,LOCALISER.msg("Exception.NullsNotAllowed",fieldName));
    }
}
