/**********************************************************************
Copyright (c) 2002 Mike Martin (TJDO) and others. All rights reserved. 
This program and the accompanying materials are made available under 
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
2003 Andy Jefferson - commented
    ...
**********************************************************************/
package org.jpox.sco.exceptions;

import javax.jdo.JDOUnsupportedOptionException;

import org.jpox.util.Localiser;

/**
 * A <tt>QueryUnownedSCOException</tt> is thrown if an attempt is made to query
 * an SCO collection that has been detached from its owning FCO.
 * <p>
 * This exception will become obsolete when support for in-memory queries is
 * added.
 *
 * @version $Revision: 1.1 $
 */
public class QueryUnownedSCOException extends JDOUnsupportedOptionException
{
    private static final Localiser LOCALISER=Localiser.getInstance("org.jpox.sco.Localisation");

    /**
     * Constructs a "can't query an unowned SCO" exception.
     */
    public QueryUnownedSCOException()
    {
	    super(LOCALISER.msg("Exception.UnownedSCOException"));
    }
}

