/**********************************************************************
Copyright (c) 2002 Mike Martin(TJDO) and others. All rights reserved.
This program and the accompanying materials are made available under 
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
2003 Andy Jefferson - commented
    ...
**********************************************************************/
package org.jpox.sco.exceptions;

import javax.jdo.JDOUserException;

import org.jpox.StateManager;

/**
 * A <tt>SCOException</tt> is thrown if an invalid parameter is specified in
 * the construction or usage of a second-class object instance.
 *
 * @version $Revision: 1.1 $
 */
public class SCOException extends JDOUserException
{
    /**
     * Constructs an SCO parameter exception.
     *
     * @param ownerSM   The StateManager of the object owning the SCO field.
     * @param fieldName The name of the SCO field.
     * @param message   The error message.
     */
    public SCOException(StateManager ownerSM, String fieldName, String message)
    {
        super(message + ": class = " + ownerSM.getObject().getClass().getName() + ", field = " + fieldName);
    }
}
