/**********************************************************************
Copyright (c) 2002 Mike Martin (TJDO) and others. All rights reserved.
This program and the accompanying materials are made available under
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
2002 Kelly Grizzle (TJDO)
2003 Andy Jefferson - commented
    ...
**********************************************************************/
package org.jpox.state.exceptions;

import javax.jdo.JDOFatalInternalException;

import org.jpox.state.LifeCycleState;
import org.jpox.state.StateManagerImpl;

/**
 * A <tt>IllegalStateTransitionException</tt> is thrown if a life-cycle
 * state attempts a transition that is illegal.  This indicates a coding
 * bug in the JDO implementation.
 *
 * @version $Revision: 1.1 $ 
 */
public class IllegalStateTransitionException extends JDOFatalInternalException
{
    /**
     * Constructs an illegal state transition exception.
     *
     * @param state         The object's current life-cycle state.
     * @param transition    A string describing the type of transition.
     * @param sm            The StateManagerImpl of the object.
     */

    public IllegalStateTransitionException(LifeCycleState state, String transition, StateManagerImpl sm)
    {
        super("An illegal " + transition + " transition was attempted from the " + state + " state, sm = " + sm);
    }
}
