/**********************************************************************
Copyright (c) 2005 Erik Bengtson and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    ...
**********************************************************************/
package org.jpox.store;

/**
 * Representation of an datastore identifier in any datastore. This can be something
 * like a table name, or column name, file name etc.
 * @version $Revision: 1.2 $
 */
public interface DatastoreIdentifier
{
    /**
     * Method to output the name of the identifier. This will be quoted where necessary.
     * @return The identifier name
     */
    String toString();

    /**
     * Provides the java name.
     * @return The name
     */
    String getJavaName();

    /**
     * Provides a new java name for the given suffix add '.' in between.
     * @param suffix The suffix for the identifier
     * @return The name
     */
    String getNewJavaName(String suffix);

    /**
     * Provides a new identifier for the given suffix.
     * @param suffix The suffix for the identifier.
     * @return The identifier
     */
    DatastoreIdentifier getNewIdentifier(String suffix);    
}