/**********************************************************************
Copyright (c) 2005 Erik Bengtson and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    ...
**********************************************************************/
package org.jpox.store;


/**
 * Representation of an datastore object in any datastore. This can be something
 * like a table, column, file, etc.
 * @version $Revision: 1.2 $
 */
public interface DatastoreObject
{
    /**
     * Accessor for the StoreManager for this table.
     * @return The StoreManager.
     **/
    StoreManager getStoreManager();
    
    /**
     * Accessor for the identifier name for this object.
     * @return The identifier name.
     **/
    DatastoreIdentifier getName();    
}
