/**********************************************************************
Copyright (c) 2002 Kelly Grizzle (TJDO) and others. All rights reserved. 
This program and the accompanying materials are made available under 
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
2003 Andy Jefferson - introduction of localiser
2004 Andy Jefferson - moved to org.jpox.store
    ...
**********************************************************************/
package org.jpox.store;

import javax.jdo.JDOUserException;
import javax.jdo.PersistenceManager;

import org.jpox.util.Localiser;

/**
 * Schema Manager Factory.
 *
 * @version $Revision: 1.1 $ 
 **/
public class StoreManagerFactory
{
    private static final Localiser LOCALISER=Localiser.getInstance("org.jpox.store.Localisation");

    /**
     * Default Constructor.
     **/
    private StoreManagerFactory()
    {
    	//protects this class from been instanciated
    }

    /**
     * Accessor for the StoreManager for the specified PersistenceManager.
     * @param pm PersistenceManager
     * @return The StoreManager
     **/
    public static StoreManager getStoreManager(PersistenceManager pm)
    {
        if (pm instanceof org.jpox.PersistenceManagerImpl)
        {
            return ((org.jpox.PersistenceManagerImpl)pm).getStoreManager();
        }

        throw new JDOUserException(LOCALISER.msg("StoreManager.Unavailable",pm.getClass().getName()));
    }
}
