/**********************************************************************
Copyright (c) 2002 Mike Martin and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.exceptions;

import javax.jdo.JDOFatalUserException;
import org.jpox.util.Localiser;

/**
 * A <tt>ClassDefinitionException</tt> is thrown if the settings of a
 * persistent class are inconsistent with it's metadata.
 *
 * @see org.jpox.store.rdbms.table.ClassTable
 * @see org.jpox.store.rdbms.table.ClassView
 * @version $Revision: 1.1 $ 
 */
public class ClassDefinitionException extends JDOFatalUserException
{
    protected static final Localiser LOCALISER=Localiser.getInstance("org.jpox.store.exceptions.Localisation");

    /**
     * Constructs a class definition exception with no specific detail
     * message.
     */
    public ClassDefinitionException()
    {
        super();
    }

    /**
     * Constructs a class definition exception with the specified detail
     * message.
     *
     * @param msg       the detail message
     */
    public ClassDefinitionException(String msg)
    {
        super(msg);
    }
}
