/**********************************************************************
Copyright (c) 2002 Mike Martin and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.exceptions;

import javax.jdo.JDOFatalUserException;


/**
 * An <tt>ColumnDefinitionException</tt> is thrown if the settings of a
 * database column are incompatible with the data type of the object field
 * to which it is mapped.
 *
 * @see org.jpox.store.rdbms.Column
 * @version $Revision: 1.1 $ 
 */
public class ColumnDefinitionException extends JDOFatalUserException
{
    /**
     * Constructs a column definition exception with no specific detail
     * message.
     */
    public ColumnDefinitionException()
    {
        super();
    }

    /**
     * Constructs a column definition exception with the specified detail
     * message.
     *
     * @param msg       the detail message
     */
    public ColumnDefinitionException(String msg)
    {
        super(msg);
    }
}
