/**********************************************************************
Copyright (c) 2003 Mike Martin and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.exceptions;

import javax.jdo.JDOFatalInternalException;

import org.jpox.store.DatastoreIdentifier;
import org.jpox.util.Localiser;

/**
 * A <tt>DuplicateColumnNameException</tt> is thrown if an attempt is made to
 * add a column to a table with a name already in-use by an existing column.
 *
 * @version $Revision: 1.2 $
 */
public class DuplicateColumnNameException extends JDOFatalInternalException
{
    private static final Localiser LOCALISER=Localiser.getInstance("org.jpox.store.exceptions.Localisation");

    /**
     * Constructs a duplicate column name exception.
     * @param table_name Name of the table being initialized.
     * @param column_name Name of the column having the duplicate name.
     */
    public DuplicateColumnNameException(String table_name, DatastoreIdentifier column_name)
    {
        super(LOCALISER.msg("Exception.DuplicateColumnName",column_name,table_name));
    }
}
