/**********************************************************************
Copyright (c) 2003 Mike Martin (TJDO) and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
2004 Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.exceptions;

import org.jpox.util.Localiser;

/**
 * An <tt>IsNullableException</tt> is thrown during schema validation if a
 * column is detected to allow null values in the database when it should not.
 * @version $Revision: 1.3 $ 
 */
public class IsNullableException extends SchemaValidationException
{
    private static final Localiser LOCALISER=Localiser.getInstance("org.jpox.store.exceptions.Localisation");

    /**
     * Constructs an is-nullable exception.
     *
     * @param columnName Name of the column wrongly allowing nulls.
     */
    public IsNullableException(String columnName)
    {
        super(LOCALISER.msg("Exception.IsNullable",columnName));
    }
}