/**********************************************************************
Copyright (c) 2002 Mike Martin and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.exceptions;

import java.util.Collection;
import java.util.Iterator;

/**
 * A <tt>MissingForeignKeysException</tt> is thrown if an expected foreign key
 * is not found in the database during schema validation.
 *
 * @version $Revision: 1.1 $ 
 */
public class MissingForeignKeysException extends SchemaValidationException
{
    /**
     * Constructs a missing foreign key(s) exception.
     * @param table_name Name of the table in which foreign key(s) were missing.
     * @param stmts The statements that would be used to create the missing keys
     */
    public MissingForeignKeysException(String table_name, Collection stmts)
    {
        super(LOCALISER.msg("Exception.MissingForeignKeys",table_name,listOnePerLine(stmts)));
    }

    private static String listOnePerLine(Collection stmts)
    {
        StringBuffer list = new StringBuffer();
        Iterator i = stmts.iterator();

        while (i.hasNext())
        {
            list.append(i.next()).append('\n');
        }

        return list.toString();
    }
}
