/**********************************************************************
Copyright (c) 2002 Mike Martin and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.exceptions;

/**
 * A <tt>MissingTableException</tt> is thrown if an expected table is
 * not found in the database during schema validation.
 *
 * @version $Revision: 1.1 $ 
 */
public class MissingTableException extends SchemaValidationException
{
    /**
     * Constructs a missing table exception.
     *
     * @param table_name Name of the table that was missing.
     */
    public MissingTableException(String table_name)
    {
        super(LOCALISER.msg("Exception.MissingTable",table_name));
    }
}
