/**********************************************************************
Copyright (c) 2002 Mike Martin and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.exceptions;

import javax.jdo.JDOUserException;
import org.jpox.util.Localiser;

/**
 * A <tt>NoExtentException</tt> is thrown if an attempt is made to perform an
 * operation using a class that is not backed by an extent (ie table or view)
 * in the database and the operation is not supported on such classes.
 *
 * @see org.jpox.store.StoreManager
 * @version $Revision: 1.1 $
 */
public class NoExtentException extends JDOUserException
{
    protected static final Localiser LOCALISER=Localiser.getInstance("org.jpox.store.exceptions.Localisation");

    /**
     * Constructs a no extent exception.
     * @param className Name of the class on which the operation requiring an
     *                  extent was attempted.
     */
    public NoExtentException(String className)
    {
        super(LOCALISER.msg("Exception.NoExtent",className));
    }
}
