/**********************************************************************
Copyright (c) 2004 Ralf Ullrich and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    ...
**********************************************************************/
package org.jpox.store.exceptions;

import javax.jdo.JDOUserException;
import org.jpox.util.Localiser;

/**
 * A <tt>NoTableManagedException</tt> is thrown if an attempt is made to perform an
 * operation using a class that is not backed by an table or view
 * in the database and the operation is not supported on such classes.
 *
 * @see org.jpox.store.StoreManager
 * @version $Revision: 1.1 $
 */
public class NoTableManagedException extends JDOUserException
{
    protected static final Localiser LOCALISER=Localiser.getInstance("org.jpox.store.exceptions.Localisation");

    /**
     * Constructs a no table managed exception.
     * @param className Name of the class on which the operation requiring a
     *                  table was attempted.
     */
    public NoTableManagedException(String className)
    {
        super(LOCALISER.msg("Exception.NoTableManaged",className));
    }
}
