/**********************************************************************
Copyright (c) 2002 Mike Martin and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.exceptions;

/**
 * A <tt>NotATableException</tt> is thrown during schema validation if a
 * table should be a table but is found not to be in the database.
 *
 * @see org.jpox.store.rdbms.table.TableImpl
 * @version $Revision: 1.1 $ 
 */
public class NotATableException extends SchemaValidationException
{
    /**
     * Constructs a not-a-table exception.
     * @param tableName Name of the table that is of the wrong type.
     */
    public NotATableException(String tableName)
    {
        super(LOCALISER.msg("Exception.NotATable",tableName));
    }
}