/**********************************************************************
Copyright (c) 2002 Mike Martin and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.exceptions;

/**
 * A <tt>NotAViewException</tt> is thrown during schema validation if a
 * table should be a view but is found not to be in the database.
 *
 * @version $Revision: 1.1 $ 
 */
public class NotAViewException extends SchemaValidationException
{
    /**
     * Constructs a not-a-view exception.
     * @param viewName Name of the view that is of the wrong type.
     */
    public NotAViewException(String viewName)
    {
        super(LOCALISER.msg("Exception.NotAView",viewName));
    }
}
