/**********************************************************************
Copyright (c) 2004 Erik Bengtson and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    ...
**********************************************************************/
package org.jpox.store.exceptions;

import javax.jdo.JDOCanRetryException;
import javax.jdo.spi.PersistenceCapable;

/**
 * A <tt>NotYetFlushedException</tt> is thrown when an pc instance instance
 * is not yet flushed to the datastore, but it was expected to already be
 *
 * @version $Revision: 1.1 $ 
 */
public class NotYetFlushedException extends JDOCanRetryException
{
    private final PersistenceCapable pc;
    
    /**
     * Constructs a too-many-indices exception.
     */
    public NotYetFlushedException(PersistenceCapable pc)
    {
        super("not yet flushed");
        this.pc = pc;
    }
    
    /**
     * @return Returns the pc.
     */
    public PersistenceCapable getPc()
    {
        return pc;
    }
}
