/**********************************************************************
Copyright (c) 2002 Mike Martin and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.exceptions;

import javax.jdo.JDODataStoreException;

/**
 * A <tt>NullValueException</tt> is thrown if a null value is encountered
 * in a database column that should prohibit null values.
 * 
 * @version $Revision: 1.1 $
 */
public class NullValueException extends JDODataStoreException
{
    /**
     * Constructs a null value exception with no specific detail message.
     */
    public NullValueException()
    {
        super();
    }

    /**
     * Constructs a null value exception with the specified detail message.
     *
     * @param msg       the detail message
     */
    public NullValueException(String msg)
    {
        super(msg);
    }
}
