/**********************************************************************
Copyright (c) 2005 Andy Jefferson and others. All rights reserved.
This program and the accompanying materials are made available under
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
    ...
**********************************************************************/
package org.jpox.store.exceptions;

import javax.jdo.JDOUserException;
import org.jpox.util.Localiser;

/**
 * This exception is thrown when a user runs a Query and has marked it as UNIQUE, but
 * it returns more than 1 object.
 *
 * @version $Revision: 1.1 $ 
 */
public class QueryNotUniqueException extends JDOUserException
{
    protected static final Localiser LOCALISER=Localiser.getInstance("org.jpox.store.query.Localisation");

    /**
     * Constructs the exception, populating the correct message.
     */
    public QueryNotUniqueException()
    {
        super(LOCALISER.msg("Query.IncorrectNumberOfInstancesReturned"));
    }
}