/**********************************************************************
Copyright (c) 2002 Mike Martin and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.exceptions;

import javax.jdo.JDODataStoreException;
import org.jpox.util.Localiser;

/**
 * A <tt>SchemaValidationException</tt> is thrown if a mismatch is discovered
 * between what the JDO runtime thinks the schema should look like and what it
 * actually looks like.
 *
 * @version $Revision: 1.1 $
 */
public class SchemaValidationException extends JDODataStoreException
{
    protected static final Localiser LOCALISER=Localiser.getInstance("org.jpox.store.exceptions.Localisation");

    /**
     * Constructs a schema validation exception with the specified detail
     * message.
     *
     * @param msg       the detail message
     */
    public SchemaValidationException(String msg)
    {
        super(msg);
    }

    /**
     * Constructs a schema validation exception with the specified detail
     * message and nested exception.
     *
     * @param msg       the detail message
     * @param nested    the nested exception(s).
     */
    public SchemaValidationException(String msg, Exception nested)
    {
        super(msg, nested);
    }
}
