/**********************************************************************
Copyright (c) 2003 Mike Martin and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.exceptions;

import javax.jdo.JDOFatalDataStoreException;

import org.jpox.store.rdbms.sqlidentifier.IndexIdentifier;
import org.jpox.util.Localiser;

/**
 * A <tt>TooManyIndicesException</tt> is thrown when trying to add an index
 * to a table and the table already has the maximum allowed number of indices.
 *
 * @see IndexIdentifier
 * @version $Revision: 1.1 $ 
 */
public class TooManyIndicesException extends JDOFatalDataStoreException
{
    protected static final Localiser LOCALISER=Localiser.getInstance("org.jpox.store.exceptions.Localisation");

    /**
     * Constructs a too-many-indices exception.
     * @param tableName Name of the table that already has the maximum allowed
     *                  number of indices.
     */
    public TooManyIndicesException(String tableName)
    {
        super(LOCALISER.msg("Exception.TooManyIndices","" + IndexIdentifier.MAX_INDICES, tableName));
    }
}
