/**********************************************************************
Copyright (c) 2002 Mike Martin and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.exceptions;

/**
 * A <tt>UnexpectedColumnException</tt> is thrown if an unexpected column is
 * encountered in the database during schema validation.
 * @version $Revision: 1.1 $ 
 */
public class UnexpectedColumnException extends SchemaValidationException
{
    /**
     * Constructs a unexpected column exception.
     * @param table_name The table in which the column was found.
     * @param column_name The name of the unexpected column.
     */
    public UnexpectedColumnException(String table_name, String column_name)
    {
        super(LOCALISER.msg("Exception.UnexpectedColumn",column_name,table_name));
    }
}
