/**********************************************************************
Copyright (c) 2002 Mike Martin and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.exceptions;

import javax.jdo.JDOFatalDataStoreException;


/**
 * A <tt>UnsupportedDataTypeException</tt> is thrown if an attempt is made
 * to persist an object field whose data type is not supported by the database
 * and/or the persistence package.
 *
 * @see org.jpox.store.rdbms.typeinfo.TypeInfo
 * @version $Revision: 1.1 $ 
 */
public class UnsupportedDataTypeException extends JDOFatalDataStoreException
{
    /**
     * Constructs an unsupported data type exception with no specific detail
     * message.
     */
    public UnsupportedDataTypeException()
    {
        super();
    }

    /**
     * Constructs an unsupported data type exception with the specified detail
     * message.
     *
     * @param msg       the detail message
     */
    public UnsupportedDataTypeException(String msg)
    {
        super(msg);
    }

    /**
     * Constructs an unsupported data type exception with the specified detail
     * message and nested exception.
     *
     * @param msg       the detail message
     * @param nested    the nested exception(s).
     */
    public UnsupportedDataTypeException(String msg, Exception nested)
    {
        super(msg, nested);
    }
}
