/**********************************************************************
Copyright (c) 2002 Mike Martin and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.exceptions;

import javax.jdo.JDOFatalUserException;
import org.jpox.util.Localiser;

/**
 * A <tt>ViewDefinitionException</tt> is thrown if the metadata extension(s)
 * that define a view are missing or invalid.
 *
 * @see org.jpox.store.rdbms.table.ClassView
 * @version $Revision: 1.1 $ 
 */
public class ViewDefinitionException extends JDOFatalUserException
{
    protected static final Localiser LOCALISER=Localiser.getInstance("org.jpox.store.exceptions.Localisation");

    /**
     * Constructs a class definition exception with the specified detail
     * message.
     *
     * @param className The class name for the class backed by a view.
     * @param viewDef   The string provided in the metadata defining the view.
     */
    public ViewDefinitionException(String className, String viewDef)
    {
        super(LOCALISER.msg("Exception.ViewDefinition",className,viewDef));
    }
}
