/**********************************************************************
Copyright (c) 2002 Mike Martin and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.exceptions;

import javax.jdo.JDOUserException;
import org.jpox.util.Localiser;

/**
 * A <tt>ViewNotSupportedException</tt> is thrown if an attempt is made to
 * perform an operation using a class that is backed by a view and the operation
 * is not supported on such classes.
 *
 * @see org.jpox.store.StoreManager
 * @version $Revision: 1.1 $ 
 */
public class ViewNotSupportedException extends JDOUserException
{
    protected static final Localiser LOCALISER=Localiser.getInstance("org.jpox.store.exceptions.Localisation");

    /**
     * Constructs a view not supported exception.
     * @param className Name of the class backed by a view.
     */
    public ViewNotSupportedException(String className)
    {
        super(LOCALISER.msg("Exception.ViewNotSupported",className));
    }
}
