/**********************************************************************
Copyright (c) 2003 Mike Martin (TJDO) and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
2004 Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.exceptions;

/**
 * A <tt>WrongPrecisionException</tt> is thrown if a column is detected to have
 * the wrong precision in the database during schema validation.
 * @version $Revision: 1.3 $ 
 */
public class WrongPrecisionException extends SchemaValidationException
{
    /**
     * Constructs a wrong precision exception.
     *
     * @param columnName Name of the column having the wrong precision.
     * @param expectedPrecision The expected precision of the column.
     * @param actualPrecision The actual precision of the column.
     */
    public WrongPrecisionException(String columnName, int expectedPrecision, int actualPrecision)
    {
        super(LOCALISER.msg("Exception.WrongPrecision", columnName, "" + actualPrecision,"" + expectedPrecision));
    }
}
