/**********************************************************************
Copyright (c) 2003 Mike Martin and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.exceptions;

/**
 * A <tt>WrongPrimaryKeyException</tt> is thrown if a table is detected not to
 * have the expected primary key in the database during schema validation.
 *
 * @see org.jpox.store.rdbms.Column
 * @version $Revision: 1.1 $ 
 */
public class WrongPrimaryKeyException extends SchemaValidationException
{
    /**
     * Constructs a wrong primary key exception.
     * @param table_name The table having the wrong primary key.
     * @param expected_pk The expected primary key of the table.
     * @param actual_pks The actual primary key(s) of the table.
     */
    public WrongPrimaryKeyException(String table_name, String expected_pk, String actual_pks)
    {
        super(LOCALISER.msg("Exception.WrongPrimaryKey",table_name,expected_pk,actual_pks));
    }
}
