/**********************************************************************
Copyright (c) 2003 Mike Martin (TJDO) and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
2004 Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.exceptions;

/**
 * A <tt>WrongScaleException</tt> is thrown if a column is detected to have
 * the wrong scale in the database during schema validation.
 * @version $Revision: 1.3 $ 
 */
public class WrongScaleException extends SchemaValidationException
{
    /**
     * Constructs a wrong scale exception.
     *
     * @param columnName Name of the column having the wrong scale.
     * @param expectedScale The expected scale of the column.
     * @param actualScale The actual scale of the column.
     */
    public WrongScaleException(String columnName, int expectedScale, int actualScale)
    {
        super(LOCALISER.msg("Exception.WrongScale",columnName,"" + actualScale,"" + expectedScale));
    }
}