/**********************************************************************
Copyright (c) 2002 Kelly Grizzle (TJDO) and others.
All rights reserved.   This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
2002 Mike Martin (TJDO)
2003 Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.expression;

import org.jpox.store.mapping.JavaTypeMapping;
import org.jpox.store.query.QueryStatement;

/**
 * Representation of a BooleanBit column literal in a Query.
 *
 * @version $Revision: 1.3 $
 **/
public class BooleanBitColumnLiteral extends BooleanLiteral
{
    public BooleanBitColumnLiteral(QueryStatement qs, JavaTypeMapping mapping, boolean value)
    {
        super(qs, mapping, value);
    }

    /**
     * Return the String value for TRUE in the database.  This should be
     * overriden by subclasses for special cases of booleans.
     * 
     * @return  The String value for TRUE in the database.
     */
    protected String getBooleanTrueValue()
    {
        return Integer.toString(1);
    }

    /**
     * Return the String value for FALSE in the database.  This should be
     * overriden by subclasses for special cases of booleans.
     * 
     * @return  The String value for FALSE in the database.
     */
    protected String getBooleanFalseValue()
    {
        return Integer.toString(0);
    }
}
