/**********************************************************************
Copyright (c) 2004 Erik Bengtson and others.
All rights reserved.   This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    ...
**********************************************************************/
package org.jpox.store.expression;

import org.jpox.store.rdbms.adapter.DatabaseAdapter;

/**
 * Concatenate two expressions. This implements the SQL standard concatenation operator.
 * e.g. EXPR1 || EXPR2 
 *
 * @version $Revision: 1.3 $
 **/
public class ConcatOperatorExpression extends StringExpression
{
    public ConcatOperatorExpression(ScalarExpression operand1, ScalarExpression operand2)
    {
        super(operand1.qs);
        if (ScalarExpression.OP_CONCAT.isHigherThanLeftSide(operand1.lowestOperator))
        {
            st.append('(').append(operand1).append(')');
        }
        else
        {
            st.append(operand1);
        }

        st.append(((DatabaseAdapter) operand1.qs.getStoreManager().getDatastoreAdapter()).getOperatorConcat());

        if (ScalarExpression.OP_CONCAT.isHigherThanRightSide(operand2.lowestOperator))
        {
            st.append('(').append(operand2).append(')');
        }
        else
        {
            st.append(operand2);
        }
    }
}
