/**********************************************************************
Copyright (c) 2004 Erik Bengtson and others.
All rights reserved.   This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    ...
**********************************************************************/
package org.jpox.store.expression;

import org.jpox.store.query.QueryStatement;

/**
 * Explicitly converts an expression of one data type to another.
 * e.g. CAST ( expression AS data_type ) or CONVERT ( data_type, expression ) 
 *
 * @version $Revision: 1.2 $
 **/
public class ConvertExpression extends ScalarExpression
{
    public ConvertExpression(QueryStatement qs, ScalarExpression expr, String dataType )
    {
        super(qs);
        st.append("CAST(");
        st.append(expr.st);            
        st.append(" AS ").append(dataType).append(")");
    }
}