/**********************************************************************
Copyright (c) 2002 Mike Martin (TJDO) and others. All rights reserved.
This program and the accompanying materials are made available under 
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
2003 Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.expression;

import org.jpox.store.query.QueryStatement;

/**
 * Representation of an Exists expression in a Query.
 *
 * @version $Revision: 1.1 $
 **/
public class ExistsExpression extends BooleanExpression
{
    private final QueryStatement subquery;
    private final boolean truthTest;

    public ExistsExpression(QueryStatement qs, QueryStatement subquery)
    {
        this(qs, subquery, true);
    }

    public ExistsExpression(QueryStatement qs, QueryStatement subquery, boolean truthTest)
    {
        super(qs);

        this.subquery = subquery;
        this.truthTest = truthTest;

        if (!truthTest)
        {
            st.append("NOT ");
        }

        subquery.setExistsSubQuery(true);

        st.append("EXISTS (").append(subquery.toStatementText(false)).append(')');

    }

    public BooleanExpression not()
    {
        return new ExistsExpression(qs, subquery, !truthTest);
    }
}
