/**********************************************************************
Copyright (c) 2004 Barry Haddow and others
All rights reserved.   This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    ...
**********************************************************************/
package org.jpox.store.expression;

import javax.jdo.JDOUserException;

import org.jpox.store.mapping.InterfaceMapping;
import org.jpox.store.mapping.JavaTypeMapping;
import org.jpox.store.query.QueryStatement;

/**
 * Represents an interface in a JDO query.
 *
 * @version $Revision: 1.5 $ 
 */
public class InterfaceExpression extends ScalarExpression
{
    public InterfaceExpression(
        QueryStatement qs,
        JavaTypeMapping mapping,
        TableExpression te)
    {
        super(qs, mapping, te);
    }

    public ScalarExpression cast(Class castType)
    {
        for (int i = 0; i < ((InterfaceMapping)mapping).getJavaTypeMapping().size(); ++i)
        {
            JavaTypeMapping m = (JavaTypeMapping) ((InterfaceMapping)mapping).getJavaTypeMapping().get(i);
            if (castType.equals(m.getType()) )
            {          
                return m.newScalarExpression(qs,te);
            }
        }
        return super.cast(castType);
    }

    public BooleanExpression eq(ScalarExpression expr)
    {
        return expr.mapping.newScalarExpression(qs,te).eq(expr);
    }
    
    public BooleanExpression noteq(ScalarExpression expr)
    {
        return expr.mapping.newScalarExpression(qs,te).noteq(expr);
    }

    public ScalarExpression accessField(String fieldName, boolean innerJoin)
    {
        throw new JDOUserException("Cannot perform navigation on field "+fieldName+" in "+mapping.getType().toString() + ". Cast the interface to a concrete type and then access the field. ");
    }   
}