/**********************************************************************
Copyright (c) 2002 Mike Martin (TJDO) and others.
All rights reserved.   This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
2003 Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.expression;

/**
 * Representation of a Null comparison in a Query.
 *
 * @version $Revision: 1.2 $
 **/
class NullComparisonExpression extends BooleanExpression
{
    private ScalarExpression expr;
    private boolean equalityTest;
    private NullLiteral lit;

    public NullComparisonExpression(ScalarExpression expr, boolean equalityTest, NullLiteral lit)
    {
        super(expr, equalityTest ? OP_IS : OP_ISNOT, lit);

        this.expr = expr;
        this.equalityTest = equalityTest;
    }

    public BooleanExpression not()
    {
        return new NullComparisonExpression(expr, !equalityTest, lit);
    }
}
