/**********************************************************************
Copyright (c) 2002 Mike Martin (TJDO) and others.
All rights reserved.   This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
2003 Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.expression;

import org.jpox.store.query.QueryStatement;

/**
 * Representation of a Null literal in a Query.
 *
 * @version $Revision: 1.3 $
 **/
public class NullLiteral extends ScalarExpression implements Literal
{
    public NullLiteral(QueryStatement qs)
    {
        super(qs);
        st.append("NULL");
    }

    public Object getValue()
    {
        return null;
    }    
    
    public ScalarExpression add(ScalarExpression expr)
    {
        return this;
    }
    
    public BooleanExpression eq(ScalarExpression expr)
    {
        if( expr instanceof ObjectExpression )
        {
            return expr.eq(this);
        }
        return new NullComparisonExpression(expr, true, this);
    }

    public BooleanExpression noteq(ScalarExpression expr)
    {
        if( expr instanceof ObjectExpression )
        {
            return expr.noteq(this);
        }
        return new NullComparisonExpression(expr.encloseWithInParentheses(), false, this);
    }
}
