/**********************************************************************
Copyright (c) 2002 Mike Martin (TJDO) and others.
All rights reserved.   This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
2003 Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.expression;

import java.sql.Date;

import org.jpox.store.mapping.JavaTypeMapping;
import org.jpox.store.query.QueryStatement;

/**
 * Representation of an SQLDate literal in a Query.
 *
 * @version $Revision: 1.2 $
 **/
public class SqlDateLiteral extends SqlTemporalExpression implements Literal
{
    private final Date value;

    public SqlDateLiteral(QueryStatement qs, JavaTypeMapping mapping, Date value)
    {
        super(qs);

        this.value = value;
        st.appendParameter(mapping, value);
    }

    public String toString()
    {
        return super.toString() + " = " + value.toString();
    }

    public Object getValue()
    {
        return value;
    }
}
