/**********************************************************************
Copyright (c) 2003 Andy Jefferson and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    ...
**********************************************************************/
package org.jpox.store.expression;

import java.sql.Time;

import org.jpox.store.mapping.JavaTypeMapping;
import org.jpox.store.query.QueryStatement;

/**
 * Representation of an SQLTime literal in a Query.
 *
 * @version $Revision: 1.2 $
 **/
public class SqlTimeLiteral extends SqlTemporalExpression implements Literal
{
    private final Time value;

    public SqlTimeLiteral(QueryStatement qs, JavaTypeMapping mapping, Time value)
    {
        super(qs);

        this.value = value;
        st.appendParameter(mapping, value);
    }

    public String toString()
    {
        return super.toString() + " = " + value.toString();
    }

    public Object getValue()
    {
        return value;
    }
}