/**********************************************************************
Copyright (c) 2002 TJDO and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.fieldmanager;

import javax.jdo.JDOFatalInternalException;

/**
 * Abstract representation of a field manager.
 *
 * @version $Revision: 1.1 $
 **/
public abstract class AbstractFieldManager implements FieldManager
{
    public AbstractFieldManager()
    {
        //default constructor
    }

    private String failureMessage(String method)
    {
        return "Somehow " + getClass().getName() + "." + method + "() was called, which should have been impossible";
    }

    public void storeBooleanField(int fieldNumber, boolean value)
    {
        throw new JDOFatalInternalException(failureMessage("storeBooleanField"));
    }

    public boolean fetchBooleanField(int fieldNumber)
    {
        throw new JDOFatalInternalException(failureMessage("fetchBooleanField"));
    }

    public void storeCharField(int fieldNumber, char value)
    {
        throw new JDOFatalInternalException(failureMessage("storeCharField"));
    }

    public char fetchCharField(int fieldNumber)
    {
        throw new JDOFatalInternalException(failureMessage("fetchCharField"));
    }

    public void storeByteField(int fieldNumber, byte value)
    {
        throw new JDOFatalInternalException(failureMessage("storeByteField"));
    }

    public byte fetchByteField(int fieldNumber)
    {
        throw new JDOFatalInternalException(failureMessage("fetchByteField"));
    }

    public void storeShortField(int fieldNumber, short value)
    {
        throw new JDOFatalInternalException(failureMessage("storeShortField"));
    }

    public short fetchShortField(int fieldNumber)
    {
        throw new JDOFatalInternalException(failureMessage("fetchShortField"));
    }

    public void storeIntField(int fieldNumber, int value)
    {
        throw new JDOFatalInternalException(failureMessage("storeIntField"));
    }

    public int fetchIntField(int fieldNumber)
    {
        throw new JDOFatalInternalException(failureMessage("fetchIntField"));
    }

    public void storeLongField(int fieldNumber, long value)
    {
        throw new JDOFatalInternalException(failureMessage("storeLongField"));
    }

    public long fetchLongField(int fieldNumber)
    {
        throw new JDOFatalInternalException(failureMessage("fetchLongField"));
    }

    public void storeFloatField(int fieldNumber, float value)
    {
        throw new JDOFatalInternalException(failureMessage("storeFloatField"));
    }

    public float fetchFloatField(int fieldNumber)
    {
        throw new JDOFatalInternalException(failureMessage("fetchFloatField"));
    }

    public void storeDoubleField(int fieldNumber, double value)
    {
        throw new JDOFatalInternalException(failureMessage("storeDoubleField"));
    }

    public double fetchDoubleField(int fieldNumber)
    {
        throw new JDOFatalInternalException(failureMessage("fetchDoubleField"));
    }

    public void storeStringField(int fieldNumber, String value)
    {
        throw new JDOFatalInternalException(failureMessage("storeStringField"));
    }

    public String fetchStringField(int fieldNumber)
    {
        throw new JDOFatalInternalException(failureMessage("fetchStringField"));
    }

    public void storeObjectField(int fieldNumber, Object value)
    {
        throw new JDOFatalInternalException(failureMessage("storeObjectField"));
    }

    public Object fetchObjectField(int fieldNumber)
    {
        throw new JDOFatalInternalException(failureMessage("fetchObjectField"));
    }
}
