/**********************************************************************
Copyright (c) 2004 Andy Jefferson and others. All rights reserved. 
This program and the accompanying materials are made available under 
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
    ...
**********************************************************************/
package org.jpox.store.mapping;

import org.jpox.metadata.FieldMetaData;
import org.jpox.store.DatastoreAdapter;
import org.jpox.store.DatastoreClass;
import org.jpox.store.expression.BinaryExpression;
import org.jpox.store.expression.BinaryLiteral;
import org.jpox.store.expression.ScalarExpression;
import org.jpox.store.expression.TableExpression;
import org.jpox.store.query.QueryStatement;

/**
 * Mapping for an array of bytes.
 *
 * @version $Revision: 1.2 $
 **/
public class ByteArrayMapping extends SingleFieldMapping implements SimpleDatastoreRepresentation
{
    private static Byte mappingSampleValue = new Byte("0");

    public ByteArrayMapping(DatastoreAdapter dba, Class type)
    {
        super(dba, type);
    }

    public ByteArrayMapping(DatastoreAdapter dba, FieldMetaData fmd, DatastoreClass table)
    {
        super(dba, fmd, table);
    }

    public ScalarExpression newLiteral(QueryStatement qs, 
                                       Object value)
    {
        return new BinaryLiteral(qs, this, ((byte[])value));
    }

    public ScalarExpression newScalarExpression(QueryStatement qs,
                                                TableExpression te)
    {
        return new BinaryExpression(qs, this, te);
    }

    public Object getSampleValue()
    {
        return mappingSampleValue;
    }

    public Class getJavaType()
    {
        return byte[].class;
    }
}
