/**********************************************************************
Copyright (c) 2002 Kelly Grizzle (TJDO) and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
2002 Mike Martin (TJDO)
2003 Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.mapping;

import java.math.BigInteger;

import org.jpox.metadata.FieldMetaData;
import org.jpox.store.DatastoreAdapter;
import org.jpox.store.DatastoreClass;
import org.jpox.store.expression.ByteExpression;
import org.jpox.store.expression.ByteLiteral;
import org.jpox.store.expression.ScalarExpression;
import org.jpox.store.expression.TableExpression;
import org.jpox.store.query.QueryStatement;

/**
 * Mapping for Byte type.
 *
 * @version $Revision: 1.2 $
 **/
public class ByteMapping extends SingleFieldMapping implements SimpleDatastoreRepresentation
{
    private static Byte mappingSampleValue = new Byte("0");

    public ByteMapping(DatastoreAdapter dba, Class type)
    {
        super(dba, type);
    }

    public ByteMapping(DatastoreAdapter dba, FieldMetaData fmd, DatastoreClass table)
    {
		super(dba, fmd, table);
	}

    public Object getSampleValue()
    {
        return mappingSampleValue;
    }
    
    public ScalarExpression newLiteral(QueryStatement qs, Object value)
    {
        ScalarExpression expr = new ByteLiteral(qs, this, BigInteger.valueOf(((Byte)value).longValue()));
        return expr; 
    }

    public ScalarExpression newScalarExpression(QueryStatement qs, TableExpression te)
    {
        ScalarExpression expr = new ByteExpression(qs, this, te);
        return expr; 
    }

    public Class getJavaType()
    {
        return Byte.class;
    }
}
