/**********************************************************************
Copyright (c) 2002 Kelly Grizzle (TJDO) and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
2002 Mike martin (TJDO)
2003 Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.mapping;

import java.util.Collection;

import org.jpox.StateManager;
import org.jpox.metadata.FieldMetaData;
import org.jpox.store.DatastoreAdapter;
import org.jpox.store.DatastoreClass;

/**
 * Mapping for Collection types.
 *
 * @version $Revision: 1.1 $
 **/
public class CollectionMapping extends AbstractSetMapping
{
	public CollectionMapping(DatastoreAdapter dba, Class type) 
    { 
    	super(dba, type); 
	} 
	
    public CollectionMapping(DatastoreAdapter dba, FieldMetaData fmd, DatastoreClass table)
    {
        super(dba, fmd, table);
    }

    protected java.util.Collection newSet(StateManager sm, String fieldName)
    {
        return new org.jpox.sco.Collection(sm, fieldName);
    }

    /* (non-Javadoc)
     * @see org.jpox.store.mapping.JavaTypeMapping#getJavaType()
     */
    public Class getJavaType()
    {
        return Collection.class;
    }

    /* (non-Javadoc)
     * @see org.jpox.store.mapping.JavaTypeMapping#getDatastoreClass()
     */
    public DatastoreClass getDatastoreClass()
    {
        // TODO Auto-generated method stub
        return null;
    }
}
