/**********************************************************************
Copyright (c) 14-Sep-2004 Erik Bengtson and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    ...
**********************************************************************/
package org.jpox.store.mapping;

import org.jpox.store.DatastoreField;

/**
 * Representation of the mapping of a datastore type.
 *
 * @version $Revision: 1.1 $
 **/
public interface DatastoreMapping
{
    public boolean isNullable();
    
    public DatastoreField getDatastoreField();
    public void setDatastoreField(DatastoreField field);
    public JavaTypeMapping getJavaTypeMapping();
    
    void setBoolean(Object preparedStatement, int paramIndex, boolean value);
    void setChar(Object preparedStatement, int paramIndex, char value);
    void setByte(Object preparedStatement, int paramIndex, byte value);
    void setShort(Object preparedStatement, int paramIndex, short value);
    void setInt(Object preparedStatement, int paramIndex, int value);
    void setLong(Object preparedStatement, int paramIndex, long value);
    void setFloat(Object preparedStatement, int paramIndex, float value);
    void setDouble(Object preparedStatement, int paramIndex, double value);
    void setString(Object preparedStatement, int paramIndex, String value);
    void setObject(Object preparedStatement, int paramIndex, Object value);

    boolean getBoolean(Object resultSet, int exprIndex);
    char getChar(Object resultSet, int exprIndex);
    byte getByte(Object resultSet, int exprIndex);
    short getShort(Object resultSet, int exprIndex);
    int getInt(Object resultSet, int exprIndex);
    long getLong(Object resultSet, int exprIndex);
    float getFloat(Object resultSet, int exprIndex);
    double getDouble(Object resultSet, int exprIndex);
    String getString(Object resultSet, int exprIndex);
    Object getObject(Object resultSet, int exprIndex);
}