/**********************************************************************
Copyright (c) 2002 TJDO and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    Andy Jefferson - coding standards and javadocs
    ...
**********************************************************************/
package org.jpox.store.mapping;

import java.sql.Timestamp;
import java.util.Date;

import org.jpox.metadata.FieldMetaData;
import org.jpox.store.DatastoreAdapter;
import org.jpox.store.DatastoreClass;
import org.jpox.store.expression.ScalarExpression;
import org.jpox.store.query.QueryStatement;

/**
 * SCO Mapping for java.util.Date type.
 *
 * @version $Revision: 1.1 $
 **/
public class DateMapping extends SqlTimestampMapping
{
    public DateMapping(DatastoreAdapter dba, Class type)
    {
        super(dba, type);
    }

    /**
     * Creates a new DateyMapping object.
     * @param dba Database Adapter
     * @param fmd FieldMetaData for the field
     * @param table Table for persisting this field
     */
    public DateMapping(DatastoreAdapter dba, FieldMetaData fmd, DatastoreClass table)
    {
        super(dba, fmd, table);
    }

    public ScalarExpression newLiteral(QueryStatement qs, Object value)
    {
        return super.newLiteral(qs, new Timestamp(((Date)value).getTime()));
    }
    
    public Class getJavaType()
    {
        return Date.class;
    }
}