/**********************************************************************
Copyright (c) 2002 Kelly Grizzle (TJDO) and others. All rights reserved. 
This program and the accompanying materials are made available under 
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
2003 Andy Jefferson - coding standards
2004 Andy Jefferson - removed getTypeInfo since wasn't used
    ...
**********************************************************************/
package org.jpox.store.mapping;

import org.jpox.metadata.FieldMetaData;
import org.jpox.store.DatastoreAdapter;
import org.jpox.store.DatastoreClass;
import org.jpox.store.expression.FloatingPointLiteral;
import org.jpox.store.expression.NumericExpression;
import org.jpox.store.expression.ScalarExpression;
import org.jpox.store.expression.TableExpression;
import org.jpox.store.query.QueryStatement;

/**
 * Mapping for Float Java type.
 *
 * @version $Revision: 1.3 $
 **/
public class FloatMapping extends SingleFieldMapping implements SimpleDatastoreRepresentation
{
    private static Float mappingSampleValue = new Float(0);
    
    public FloatMapping(DatastoreAdapter dba, Class type)
    {
        super(dba, type);
    }

    public FloatMapping(DatastoreAdapter dba, FieldMetaData fmd, DatastoreClass table)
    {
		super(dba, fmd, table);
	}

    public Object getSampleValue()
    {
        return mappingSampleValue;
    }

    public ScalarExpression newLiteral(QueryStatement qs, Object value)
    {
        ScalarExpression expr = new FloatingPointLiteral(qs, this, (Float)value);
        return expr; 
    }

    public ScalarExpression newScalarExpression(QueryStatement qs, TableExpression te)
    {
        ScalarExpression expr = new NumericExpression(qs, this, te);
        return expr; 
    }

    public Class getJavaType()
    {
        return Float.class;
    }
}