/**********************************************************************
Copyright (c) 2004 Andy Jefferson and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    ...
**********************************************************************/
package org.jpox.store.mapping;

import org.jpox.StateManager;
import org.jpox.metadata.FieldMetaData;
import org.jpox.store.DatastoreAdapter;
import org.jpox.store.DatastoreClass;

/**
 * SCO Mapping for HashMap type.
 *
 * @version $Revision: 1.1 $
 **/
public class HashMapMapping extends MapMapping
{
    /**
     * Constructor taking the database adapter representing the datastore being
     * used and the class of the mapping.
     *
     * @param dba Database adapter
     * @param type class mapped to the DB
     **/
    public HashMapMapping(DatastoreAdapter dba, Class type)
    {
        super(dba, type);
    }
    
    /**
     * Constructor.
     * @param dba Datastore Adapter
     * @param fmd FieldMetaData for the field
     * @param table Datastore table
     */
    public HashMapMapping(DatastoreAdapter dba, FieldMetaData fmd, DatastoreClass table)
    {
        super(dba, fmd, table);
    }

    protected java.util.Map newMap(StateManager sm, String fieldName)
    {
        return new org.jpox.sco.HashMap(sm, fieldName);
    }
}