/**********************************************************************
Copyright (c) 2003 Andy Jefferson and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    ...
**********************************************************************/
package org.jpox.store.mapping;

import java.util.List;

import org.jpox.StateManager;
import org.jpox.metadata.FieldMetaData;
import org.jpox.store.DatastoreAdapter;
import org.jpox.store.DatastoreClass;

/**
 * SCO Mapping for LinkedList type.
 *
 * @version $Revision: 1.1 $
 **/
public class LinkedListMapping extends ListMapping
{
    /**
     * Constructor taking the database adapter representing the datastore being
     * used and the class of the mapping.
     *
     * @param dba Database adapter
     * @param type class mapped to the DB
     **/
    public LinkedListMapping(DatastoreAdapter dba, Class type)
    {
        super(dba, type);
    }
    
    /**
     * Constructor, specifying the table and the relative field.
     * @param dba Datastore Adapter
     * @param fmd FieldMetaData for the field to be mapped
     * @param table Table containing the fielld
     **/
    public LinkedListMapping(DatastoreAdapter dba, FieldMetaData fmd, DatastoreClass table)
    {
        super(dba, fmd, table);
    }

    /**
     * Method to return a new LinkedList SCO.
     * @param sm The StateManager for the object
     * @param fieldName The field name of the arrayList object.
     * @return The LinkedList SCO 
     **/
    protected List newList(StateManager sm, String fieldName)
    {
        return new org.jpox.sco.LinkedList(sm, fieldName);
    }
}