/**********************************************************************
Copyright (c) 2004 Andy Jefferson and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    ...
**********************************************************************/
package org.jpox.store.mapping;

import java.util.List;

import org.jpox.StateManager;
import org.jpox.metadata.FieldMetaData;
import org.jpox.store.DatastoreAdapter;
import org.jpox.store.DatastoreClass;

/**
 * SCO Mapping for List type.
 *
 * @version $Revision: 1.1 $
 **/
public class ListMapping extends AbstractListMapping
{
    /**
     * Constructor taking the database adapter representing the datastore being
     * used and the class of the mapping.
     *
     * @param dba Database adapter
     * @param type class mapped to the DB
     **/
    public ListMapping(DatastoreAdapter dba, Class type)
    {
        super(dba, type);
    }
    
    /**
     * Constructor.
     * @param dba Datastore Adapter
     * @param fmd FieldMetaData for the field
     * @param table Datastore table
     */
    public ListMapping(DatastoreAdapter dba, FieldMetaData fmd, DatastoreClass table)
    {
        super(dba, fmd, table);
    }

    protected List newList(StateManager sm, String fieldName)
    {
        return new org.jpox.sco.List(sm, fieldName);
    }

    /* (non-Javadoc)
     * @see org.jpox.store.mapping.JavaTypeMapping#getJavaType()
     */
    public Class getJavaType()
    {
        return List.class;
    }

    /* (non-Javadoc)
     * @see org.jpox.store.mapping.JavaTypeMapping#getDatastoreClass()
     */
    public DatastoreClass getDatastoreClass()
    {
        return null;
    }
}