/**********************************************************************
Copyright (c) 2003 Erik Bengtson and others. All rights reserved.
This program and the accompanying materials are made available under 
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
2003 Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.mapping;

import java.util.Locale;

import org.jpox.metadata.FieldMetaData;
import org.jpox.store.DatastoreAdapter;
import org.jpox.store.DatastoreClass;
import org.jpox.store.expression.ScalarExpression;
import org.jpox.store.expression.StringExpression;
import org.jpox.store.expression.StringLiteral;
import org.jpox.store.expression.TableExpression;
import org.jpox.store.query.QueryStatement;

/**
 * Mapping for Locale type.
 *
 *  @version $Revision: 1.2 $
 **/
public class LocaleMapping extends SingleFieldMapping implements SimpleDatastoreRepresentation
{
    private static Locale mappingSampleValue = Locale.getDefault();
    
    public LocaleMapping(DatastoreAdapter dba, Class type)
    {
        super(dba, type);
    }

    public LocaleMapping(DatastoreAdapter dba, FieldMetaData fmd, DatastoreClass table)
    {
		super(dba, fmd, table);
	}

    public Object getSampleValue()
    {
        return mappingSampleValue;
    }

    public ScalarExpression newLiteral(QueryStatement qs, Object value)
    {
        ScalarExpression expr = new StringLiteral(qs, this, ((Locale)value).toString());
        return expr; 
    }

    public ScalarExpression newScalarExpression(QueryStatement qs, TableExpression te)
    {
        ScalarExpression expr = new StringExpression(qs, this, te);
        return expr; 
    }

    public Class getJavaType()
    {
        return Locale.class;
    }
}
