/**********************************************************************
Copyright (c) 02-Aug-2004 Brendan de Beer and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    ...
**********************************************************************/
package org.jpox.store.mapping;

import org.jpox.metadata.FieldMetaData;
import org.jpox.store.DatastoreAdapter;
import org.jpox.store.DatastoreClass;

/**
 * Mapping for an array of longs.
 * This Mapping converts the long[] to and from a byte[] and stores the byte[]
 * in the datastore.
 *
 * @version $Revision: 1.1 $
 */
public class LongArrayMapping extends ByteArrayMapping
{
    /**
     * Creates a new LongArrayMapping object.
     * @param dba Datastore Adapter
     * @param type Type of the field
     */
    public LongArrayMapping(DatastoreAdapter dba, Class type)
    {
        super(dba, type);
    }

    /**
     * Creates a new LongArrayMapping object.
     * @param dba Datastore Adapter
     * @param fmd FieldMetaData for the field to be mapped
     * @param table Table containing the field
     */
    public LongArrayMapping(DatastoreAdapter dba, FieldMetaData fmd, DatastoreClass table)
    {
        super(dba, fmd, table);
    }

    public Class getJavaType()
    {
        return long[].class;
    }    
}
