/**********************************************************************
Copyright (c) 2002 Mike Martin (TJDO) and others. All rights reserved. 
This program and the accompanying materials are made available under 
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
2003 Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.mapping;

import org.jpox.StateManager;

/**
 * Representation for Mapping callbacks within JDO.
 *
 * @version $Revision: 1.1 $
 **/
public interface MappingCallbacks
{
    void postInsert(StateManager sm);

    void postFetch(StateManager sm);

    void postUpdate(StateManager sm);

    void preDelete(StateManager sm);

    /**
     * Clear the collection and delete child dependent elements, values or keys
     * that are tagged as dependent.
     * 
     * @param sm the owner StateManager
     */
    void deleteDependent(StateManager sm);
}