/**********************************************************************
Copyright (c) 2004 Erik Bengtson and others. All rights reserved. 
This program and the accompanying materials are made available under 
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
2004 Andy Jefferson - added discriminator constant
    ...
**********************************************************************/
package org.jpox.store.mapping;

import org.jpox.metadata.FieldMetaData;

/**
 * Consumer of mappings.
 * @version $Revision: 1.3 $
 */
public interface MappingConsumer
{
    public static int MAPPING_TYPE_VERSION = 1;
    public static int MAPPING_TYPE_DATASTORE_ID = 2;
    public static int MAPPING_TYPE_DISCRIMINATOR = 3;

    /**
     * This method is called before consuming the mappings
     * @param highestFieldNumber the highest number for the fields that are going to be provided in the consumer
     */
    void preConsumeMapping(int highestFieldNumber);

    /**
     * Consumes a mapping associated to a field
     * @param m The Java type mapping
     * @param fmd Field MetaData for the field
     */
    void consumeMapping(JavaTypeMapping m, FieldMetaData fmd);

    /**
     * Consumes a mapping not associated to a field
     * @param m Java type mapping
     * @param mappingType the Mapping type
     */
    void consumeMapping(JavaTypeMapping m, int mappingType);
}