/******************************************************************
Copyright (c) 2004 Andy Jefferson and others. All rights reserved. 
This program and the accompanying materials are made available under
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
2004 Erik Bengtson - added datastore mapping accessors
    ...
*****************************************************************/
package org.jpox.store.mapping;

import org.jpox.metadata.FieldMetaData;
import org.jpox.store.DatastoreAdapter;
import org.jpox.store.DatastoreClass;
import org.jpox.store.DatastoreField;
import org.jpox.store.StoreManager;

/**
 * Representation of a MappingManager, mapping a java mapping type to a datastore mapping type.
 * Allows a java mapping type to map to multiple datastore mapping types.
 * Allows a default datastore mapping type be assigned to each java mapping type.
 * 
 * @version $Revision: 1.3 $
 */
public interface MappingManager
{
    void registerJavaTypeMapping(String javaTypeName, Class javaMappingType, boolean isDefault);

    DatastoreMapping getDatastoreMapping(JavaTypeMapping mapping, FieldMetaData fmd, int index, StoreManager srm, DatastoreField column);

    DatastoreMapping getDatastoreMapping(JavaTypeMapping mapping, StoreManager storeMgr, DatastoreField column, Class javaType);

    Class getDefaultJavaTypeMapping(String javaTypeName);
    
    Class getMappingClass(Class c);
    
    JavaTypeMapping getMapping(DatastoreClass table, FieldMetaData fmd, DatastoreAdapter dba);
}