/**********************************************************************
Copyright (c) 2003 Erik Bengtson and others. All rights reserved.
This program and the accompanying materials are made available under
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
2003 Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.mapping;

import org.jpox.metadata.FieldMetaData;
import org.jpox.store.DatastoreAdapter;
import org.jpox.store.DatastoreClass;
import org.jpox.store.expression.ObjectExpression;
import org.jpox.store.expression.ObjectLiteral;
import org.jpox.store.expression.ScalarExpression;
import org.jpox.store.expression.TableExpression;
import org.jpox.store.query.QueryStatement;

/**
 * Maps an embbeded field  
 *
 * @version $Revision: 1.2 $
 **/
public class ObjectMapping extends SingleFieldMapping implements SimpleDatastoreRepresentation
{
    public ObjectMapping(DatastoreAdapter dba, Class type)
    {
        super(dba, type);
    }

    public ObjectMapping(DatastoreAdapter dba, FieldMetaData fmd, DatastoreClass table)
    {
		super(dba, fmd, table);
	}

    public ScalarExpression newLiteral(QueryStatement qs, Object value)
    {
        return new ObjectLiteral(qs, this, value,this.type);
    }

	public ScalarExpression newScalarExpression(QueryStatement qs, TableExpression te)
	{
		return new ObjectExpression(qs, this, te);
	}    

	public Object getSampleValue()
    {
        return null;
    }

    public Class getJavaType()
    {
        return Object.class;
    }
}
