/**********************************************************************
Copyright (c) 2002 Kelly Grizzle (TJDO) and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
2002 Mike Martin (TJDO)
2003 Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.mapping;

import java.math.BigInteger;

import org.jpox.metadata.FieldMetaData;
import org.jpox.store.DatastoreAdapter;
import org.jpox.store.DatastoreClass;
import org.jpox.store.expression.IntegerLiteral;
import org.jpox.store.expression.ScalarExpression;
import org.jpox.store.expression.ShortExpression;
import org.jpox.store.expression.TableExpression;
import org.jpox.store.query.QueryStatement;

/**
 * Mapping for the Short type.
 *
 * @version $Revision: 1.2 $
 **/
public class ShortMapping extends SingleFieldMapping implements SimpleDatastoreRepresentation
{
    private static Short mappingSampleValue = new Short((short)0);
    
    public ShortMapping(DatastoreAdapter dba, Class type)
    {
        super(dba, type);
    }

    public ShortMapping(DatastoreAdapter dba, FieldMetaData fmd, DatastoreClass table)
    {
		super(dba, fmd, table);
	}

    public Object getSampleValue()
    {
        return mappingSampleValue;
    }

    public ScalarExpression newLiteral(QueryStatement qs, Object value)
    {
        ScalarExpression expr = new IntegerLiteral(qs, this, BigInteger.valueOf(((Short)value).longValue()));
        return expr;        
    }

    public ScalarExpression newScalarExpression(QueryStatement qs, TableExpression te)
    {
        ScalarExpression expr = new ShortExpression(qs, this, te);
        return expr;        
    }

    public Class getJavaType()
    {
        return Short.class;
    }
}
