/**********************************************************************
Copyright (c) Sep 16, 2004 Erik Bengtson and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    ...
**********************************************************************/
package org.jpox.store.mapping;

/**
 * TODO rename it if necessary to provide the best meaning understanding.
 * 
 * This
 * represents something in the datastore that holds single elements of data or
 * embedded elements.
 * 
 * For example, Strings, Locale, Integer, PersistenceCapable,
 * Interface, embedded Collections, embedded Lists, Objects and others, but not
 * non embedded Collections, List, etc.
 * 
 * In RDBMS, this represents a column in
 * one table or a column in a table joining to this. 
 * 
 * this representation is enclosed to:
 * a) "TABLE THIS" or
 * b) "TABLE OTHER joined to TABLE THIS (1-1 join)"
 * 
 * Java Mapping Type -> RDBMS Mapping Type
 * String -> VARCHAR column 
 * Integer -> INTEGER column
 * embedded Collection -> BLOB column
 * Interface -> one or more columns
 * PersistenceCapable -> one or more columns
 * 
 * @author erik
 * @version $Revision: 1.1 $
 */
public interface SimpleDatastoreRepresentation
{
}
