/**********************************************************************
Copyright (c) 28-Dec-2003 Andy Jefferson and others.
All rights reserved.   This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    ...
**********************************************************************/

package org.jpox.store.mapping;

import java.util.TimeZone;

import org.jpox.metadata.FieldMetaData;
import org.jpox.store.DatastoreAdapter;
import org.jpox.store.DatastoreClass;
import org.jpox.store.expression.ScalarExpression;
import org.jpox.store.expression.StringExpression;
import org.jpox.store.expression.StringLiteral;
import org.jpox.store.expression.TableExpression;
import org.jpox.store.query.QueryStatement;

/**
 * SCO Mapping for TimeZone type.
 * TODO : This needs modifying to support mutable TimeZone objects.
 *
 * @version $Revision: 1.2 $
 **/
public class TimeZoneMapping extends SingleFieldMapping implements SimpleDatastoreRepresentation
{
    private static TimeZone mappingSampleValue = TimeZone.getDefault();

    public TimeZoneMapping(DatastoreAdapter dba, Class type)
    {
        super(dba, type);
    }

    /**
     * Creates a new TimeZoneMapping object.
     * @param dba Database Adapter
     * @param fmd FieldMetaData for the field
     * @param table Table for persisting this field
     */
    public TimeZoneMapping(DatastoreAdapter dba, FieldMetaData fmd, DatastoreClass table)
    {
        super(dba, fmd, table);
    }

    public Object getSampleValue()
    {
        return mappingSampleValue;
    }

    public ScalarExpression newLiteral(QueryStatement qs, Object value)
    {
        ScalarExpression expr = new StringLiteral(qs, this, ((TimeZone)value).getID());
        return expr; 
    }

    public ScalarExpression newScalarExpression(QueryStatement qs, TableExpression te)
    {
        ScalarExpression expr = new StringExpression(qs, this, te);
        return expr; 
    }

    public Class getJavaType()
    {
        return TimeZone.class;
    }
}
