/**********************************************************************
Copyright (c) 2002 Kelly Grizzle (TJDO) and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
2002 Mike Martin (TJDO)
2003 Erik Bengtson - removed getObject
2003 Andy Jefferson - coding standards
    ...
**********************************************************************/

package org.jpox.store.query;

import java.sql.ResultSet;

import org.jpox.PersistenceManager;
import org.jpox.StateManager;
import org.jpox.store.FieldValues;
import org.jpox.store.StatementExpressionIndex;
import org.jpox.store.rdbms.fieldmanager.ResultSetGetter;

/**
 * Creates a Transient object instance from a ResultSet (JDBC).
 *
 * @version $Revision: 1.1 $
 **/
public final class TransientIDROF implements Query.ResultObjectFactory
{
    private final Class candidateClass;
    protected final int[] fieldNumbers;
	protected final StatementExpressionIndex[] statementExpressionIndex;


    public TransientIDROF(Class candidateClass,
                          int[] fieldNumbers,
						  StatementExpressionIndex[] statementExpressionIndex)
    {
        this.candidateClass = candidateClass;
        this.fieldNumbers = fieldNumbers;
        this.statementExpressionIndex = statementExpressionIndex;
    }


	/* (non-Javadoc)
	 * @see org.jpox.store.Query.ResultObjectFactory#getObject(java.sql.ResultSet, java.lang.Class)
	 */
	public Object getObject(final PersistenceManager pm, final ResultSet rs, Class pcClass)
    {
        return pm.getObjectById(pm.getStoreManager().newObjectID(null,candidateClass.getName(),null),
            new FieldValues()
            {
                public void fetchFields(StateManager sm)
                {
                    sm.replaceFields(fieldNumbers, new ResultSetGetter(sm, rs, statementExpressionIndex));
                }
            }
        );
	}
}
