/**********************************************************************
Copyright (c) 2003 Andy Jefferson and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
	TJDO - original version
	Andy Jefferson - equality operator
    ...
**********************************************************************/
package org.jpox.store.rdbms.key;

import org.jpox.store.rdbms.table.TableImpl;

/**
 * Representation of the primary key of a table.
 *
 * @version $Revision: 1.1 $
 **/
public class PrimaryKey extends CandidateKey
{
    /**
     * Constructor.
     * @param table Table that this is the PK for
     */
    public PrimaryKey(TableImpl table)
    {
        super(table);
    }

    /**
     * Equality operator
     * @param obj The object to compare against
     * @return Whether they are equal
     */
    public boolean equals(Object obj)
    {
        if (obj == this)
        {
            return true;
        }
        if (!(obj instanceof PrimaryKey))
        {
            return false;
        }

        // Check for same no of columns
        PrimaryKey pk=(PrimaryKey)obj;
        if (pk.columns.size() != columns.size())
        {
            return false;
        }

        // Defer to superclass
        return super.equals(obj);
    }

    /**
     * Stringifier method
     * @return The string form of this object. Ready to be used in a DDL statement.
     */
    public String toString()
    {
        StringBuffer s = new StringBuffer("PRIMARY KEY ").append(getColumnList(columns));

        return s.toString();
    }
}