/******************************************************************
 * Copyright (c) 11-Sep-2004 Andy Jefferson and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the JPOX License v1.0
 * which accompanies this distribution.
 *
 * Contributors:
 *     ...
 *****************************************************************/
package org.jpox.store.rdbms.mapping;

import java.math.BigDecimal;

/**
 * Mapping manager for PostgreSQL datastores. Overrides some of the types in the default manager.
 * 
 * @version $Revision: 1.2 $
 */
public class PostgresqlRDBMSMappingManager extends RDBMSMappingManager
{
    public void initialise()
    {
        super.initialise();

        // PostgreSQL doesnt support FLOAT
        deregisterDatastoreMappingsForJavaType(float.class.getName());
        deregisterDatastoreMappingsForJavaType(Float.class.getName());
        registerDatastoreMapping(float.class.getName(),DoubleRDBMSMapping.class,"DOUBLE","DOUBLE", true);
        registerDatastoreMapping(Float.class.getName(),DoubleRDBMSMapping.class,"DOUBLE","DOUBLE", true);

        // PostgreSQL doesnt support DECIMAL
        deregisterDatastoreMappingsForJavaType(double.class.getName());
        deregisterDatastoreMappingsForJavaType(Double.class.getName());
        deregisterDatastoreMappingsForJavaType(BigDecimal.class.getName());
        registerDatastoreMapping(double.class.getName(),DoubleRDBMSMapping.class,"DOUBLE","DOUBLE", true);
        registerDatastoreMapping(Double.class.getName(),DoubleRDBMSMapping.class,"DOUBLE","DOUBLE", true);
        registerDatastoreMapping(BigDecimal.class.getName(),NumericRDBMSMapping.class,"NUMERIC","NUMERIC", true);
    }
}