/**********************************************************************
 Copyright (c) Sep 6, 2004  Ralf Ullrich and others.
 All rights reserved.   This program and the accompanying materials
 are made available under the terms of the JPOX License v1.0
 which accompanies this distribution. 

 Contributors:
 ...
 **********************************************************************/
package org.jpox.store.rdbms.query;

import java.util.Iterator;
import java.util.List;

import org.jpox.store.DatastoreContainerObject;
import org.jpox.store.DatastoreIdentifier;
import org.jpox.store.StatementText;
import org.jpox.store.expression.ScalarExpression;
import org.jpox.store.query.QueryStatement;

/**
 * Representation of a Query Statement in Oracle.
 *
 * @version $Revision: 1.3 $
 **/
public class SAPDBQueryStatement extends QueryStatement
{
    public SAPDBQueryStatement(DatastoreContainerObject initialTable)
    {
        super(initialTable);
    }

    public SAPDBQueryStatement(DatastoreContainerObject initialTable, DatastoreIdentifier initialRangeVar)
    {
        super(initialTable, initialRangeVar);
    }

    /**
     * Method to set the ordering for the statement.
     **/
    public void setOrdering(ScalarExpression[] exprs, boolean[] descending)
    {
        assertNotFrozen();

        // optimized out, always true for SAPDB
        //boolean needsSelect = dba.includeOrderByColumnsInSelect();

        orderByList = new StatementText();

        for (int i = 0; i < exprs.length; ++i)
        {
            if (i > 0)
            {
                orderByList.append(',');
            }

            //if (needsSelect)
            //{
            selected.add(exprs[i].toStatementText());
            int index = selected.size();
            // go through union
            Iterator iterator = union.iterator();
            while (iterator.hasNext())
            {
                QueryStatement qs = ((QueryStatement)iterator.next());
                List selectedUnion = qs.getSelected();
                selectedUnion.add(exprs[i].toStatementText());
            }
            orderByList.append(Integer.toString(index));
            //}
            //else
            //{
            //    orderByList.append(exprs[i]);
            //}

            if (descending[i])
            {
                orderByList.append(" DESC");
            }
        }
    }
}