/**********************************************************************
Copyright (c) 2002 TJDO and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    Erik Bengtson - refactored
    ...
**********************************************************************/
package org.jpox.store.rdbms.sqlidentifier;

import org.jpox.store.rdbms.adapter.DatabaseAdapter;
import org.jpox.store.rdbms.table.TableImpl;

/**
 * Identifier for a key.
 * 
 * @version $Revision: 1.2 $
 */
public class CandidateKeyIdentifier extends SQLIdentifier
{
    public CandidateKeyIdentifier(TableImpl table, int seq)
    {
        super(table.getStoreManager().getDatastoreAdapter());

        this.javaName = null;

        String baseID = truncate(((SQLIdentifier) table.getName()).getSQLIdentifier(), getMaxLength() - 4);

        setSQLIdentifier(baseID + "_U" + seq);
    }

    protected int getMaxLength()
    {
        return ((DatabaseAdapter) dba).getMaxConstraintNameLength();
    }
}