/**********************************************************************
Copyright (c) 2002 TJDO and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    Erik Bengtson - refactored
    ...
**********************************************************************/
package org.jpox.store.rdbms.sqlidentifier;

import org.jpox.store.DatastoreAdapter;
import org.jpox.store.DatastoreIdentifier;
import org.jpox.store.Role;
import org.jpox.store.rdbms.adapter.DatabaseAdapter;

/**
 * Identifier for a Column
 * 
 * @version $Revision: 1.2 $
 */
public class ColumnIdentifier extends SQLIdentifier
{
    public ColumnIdentifier(DatastoreAdapter dba, String javaName)
    {
        super(dba);

        setJavaName(javaName);
    }
	/**
	 * called by the JPOXQL query
	 * @param dba
	 * @param javaName
	 * @param type
	 * @param role
	 */
    public ColumnIdentifier(DatastoreAdapter dba, String javaName, Class type, Role role)
    {
        super(dba);

        setJavaName(javaName);
        setSQLIdentifier(getSQLIdentifier() + role.getIdentifierSuffix(dba, type));
    }

    public ColumnIdentifier(DatastoreAdapter dba, DatastoreIdentifier baseSQLID, Class type, Role role)
    {
        super(dba);

        String baseID = truncate(((SQLIdentifier) baseSQLID).getSQLIdentifier(), getMaxLength());

        setSQLIdentifier(baseID + role.getIdentifierSuffix(dba, type));
    }

    protected int getMaxLength()
    {
        return ((DatabaseAdapter) dba).getMaxColumnNameLength() - Role.MAX_SUFFIX_LENGTH;
    }
}