/**********************************************************************
Copyright (c) 2002 TJDO and others. All rights reserved. 
This program and the accompanying materials are made available under 
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
2004 Erik Bengtson - refactored
    ...
**********************************************************************/
package org.jpox.store.rdbms.sqlidentifier;

import org.jpox.store.exceptions.TooManyIndicesException;
import org.jpox.store.rdbms.adapter.DatabaseAdapter;
import org.jpox.store.rdbms.table.TableImpl;

/**
 * Identifier for an Index.
 * 
 * @version $Revision: 1.3 $
 */
public class IndexIdentifier extends SQLIdentifier
{
    public static final int MAX_INDICES = 9999;


    public IndexIdentifier(TableImpl table, boolean isUnique, int seq)
    {
        super(table.getStoreManager().getDatastoreAdapter());

        this.javaName = null;

        String suffix = isUnique ? "_U" : "_N";

        if (seq < MAX_INDICES)
        {
            suffix += String.valueOf('0' + seq);
        }
        else
        {
            throw new TooManyIndicesException(table.toString());
        }

        String baseID = truncate(((SQLIdentifier) table.getName()).getSQLIdentifier(), getMaxLength() - suffix.length());

        setSQLIdentifier(baseID + suffix);
    }

    protected int getMaxLength()
    {
        return ((DatabaseAdapter) dba).getMaxIndexNameLength();
    }
}