/**********************************************************************
Copyright (c) 2003 Barry Haddow and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    ...
**********************************************************************/
package org.jpox.store.rdbms.sqlidentifier;

import org.jpox.metadata.ClassMetaData;
import org.jpox.metadata.FieldMetaData;
import org.jpox.store.DatastoreAdapter;

/**
 * Used to construct identifiers for columns representing interfaces.
 *
 * @version $Revision: 1.1 $
 */
public class InterfaceIdentifier extends SQLIdentifier
{
    /**
     * @param dba 
     * @param intfMetaData The type of the interface
     * @param implMetaData The type of the implementation
     */
    public InterfaceIdentifier(DatastoreAdapter dba, FieldMetaData intfMetaData, ClassMetaData implMetaData)
    {
        super(dba);
        
        //use a simple system for now :
        //      <interface-name>_<impl_name>
        //TODO: Replace with a mangling which will ensure uniqueness and no max length violations
        String interfaceName = intfMetaData.getName();
        String implementationName = implMetaData.getFullClassName();
        int dot = implementationName.lastIndexOf('.');
        if (dot > -1) 
        {
            implementationName = implementationName.substring(dot+1);
        }

        setJavaName(interfaceName + "." + implementationName);
    }
}