/**********************************************************************
Copyright (c) 2002 TJDO and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    Erik Bengtson - refactored
    ...
**********************************************************************/
package org.jpox.store.rdbms.sqlidentifier;

import org.jpox.store.DatastoreAdapter;
import org.jpox.store.rdbms.adapter.DatabaseAdapter;


public class TableIdentifier extends SQLIdentifier
{
    /**
     * The maximum length in characters reserved at the end of table names
     * for suffixes used to construct related names (such as _PK for a table's
     * primary key).
     */
    public final static int MAX_TABLE_NAME_SUFFIX = 4;

    public TableIdentifier(DatastoreAdapter dba, String javaName)
    {
        super(dba);

        setJavaName(javaName);
    }

	/**
	 * Constructor to support custom schemas
	 * @param dba
	 * @param javaName
	 * @param sqlIdentifier
	 */
	public TableIdentifier(DatastoreAdapter dba, String javaName,String sqlIdentifier)
	{
		super(dba,javaName,sqlIdentifier);
	}
    protected int getMaxLength()
    {
        return ((DatabaseAdapter) dba).getMaxTableNameLength() - MAX_TABLE_NAME_SUFFIX;
    }
}
