/**********************************************************************
Copyright (c) 2004 Andy Jefferson and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    ...
**********************************************************************/
package org.jpox.store.rdbms.table;

import javax.jdo.spi.PersistenceCapable;

import org.jpox.StateManager;
import org.jpox.metadata.FieldMetaData;
import org.jpox.store.mapping.JavaTypeMapping;

/**
 * Representation of the interface to a first-class object (FCO) Table in a datastore.
 *
 * @version $Revision: 1.2 $
 **/
public interface FCOTable extends JDOTable
{
    /**
     * Accessor for the name of the class being stored
     * @return The class name
     */
    String getType();

    /**
     * Accessor for the mapping for the specified FieldMetaData.
     * @param fmd the FieldMetaData
     * @return The Mapping for the field.
     */
    JavaTypeMapping getFieldMapping(FieldMetaData fmd);

    /**
     * Create a new OID. 
     * OID can be datastore identity or application identity
     * @param sm The state manager 
     * @param pcClass The Persistence-Capable class
     * @return New OID
     */
    Object newOID(StateManager sm,PersistenceCapable pcClass);
}