/**********************************************************************
Copyright (c) 2004 Erik Bengtson and others.
All rights reserved.   This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    ...
**********************************************************************/

package org.jpox.store.rdbms.table;

import org.jpox.store.mapping.JavaTypeMapping;

/**
 * Interface for a table that aggregates a FCO to SCO elements or
 * a FCO to embedded elements in the association  
 */
public interface SCOTable extends JDOTable
{
    /**
     * Accessor for the "owner" mapping end of the relationship. This will be
     * the primary key of the owner table.
     *
     * @return The column mapping for the owner.
     **/
    public JavaTypeMapping getOwnerMapping();

    /**
     * Accessor for the "element" mapping end of the relationship. This will be
     * the primary key of the element table.
     *
     * @return The column mapping for the element.
     **/
    public JavaTypeMapping getElementMapping();
}
