/**********************************************************************
Copyright (c) 2005 Andy Jefferson and others. All rights reserved.
This program and the accompanying materials are made available under
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
    ...
**********************************************************************/
package org.jpox.store.rdbms.typeinfo;

import java.sql.ResultSet;

/**
 * Represents the metadata of a Cloudscape/Derby data type.
 * @version $Revision: 1.1 $
 */
public class CloudscapeTypeInfo extends TypeInfo
{
    /**
     * Constructs a type information object from the current row of the given
     * result set. The {@link ResultSet} object passed must have been obtained
     * from a call to DatabaseMetaData.getTypeInfo().
     * <p>This method only retrieves the values from the current row; the caller
     * is required to advance to the next row with {@link ResultSet#next}.
     * @param rs The result set returned from DatabaseMetaData.getTypeInfo().
     */
    public CloudscapeTypeInfo(ResultSet rs)
    {
        super(rs);

        // Add to the JDBC provided information where required
        // to provide acceptable JPOX behaviour
        if (typeName.equalsIgnoreCase("DOUBLE"))
        {
            allowsPrecisionSpec = false;
        }
    }
}