/**********************************************************************
Copyright (c) 2004 Erik Bengtson and others. All rights reserved.
This program and the accompanying materials are made available under
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
    ...
**********************************************************************/
package org.jpox.store.rdbms.typeinfo;

import java.sql.ResultSet;

/**
 * Represents the metadata of a DB2 data type.
 */
public class DB2TypeInfo extends TypeInfo
{
    public static final int DATALINK = 70;
    
    /**
     * Constructs a type information object from the current row of the given
     * result set.  The {@link ResultSet} object passed must have been obtained
     * from a call to DatabaseMetaData.getTypeInfo().
     *
     * <p>This method only retrieves the values from the current row; the caller
     * is required to advance to the next row with {@link ResultSet#next}.
     *
     * @param rs    The result set returned from DatabaseMetaData.getTypeInfo().
     */
    public DB2TypeInfo(ResultSet rs)
    {
        super(rs);
        
        if (typeName.equalsIgnoreCase("DATALINK"))
        {
            typeName = "DATALINK";
            createParams = "";
        }
    }
}