/**********************************************************************
Copyright (c) 2002 Mike Martin (TJDO) and others. All rights reserved.
This program and the accompanying materials are made available under 
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
2003 Andy Jefferson - coding standards
2004 Andy Jefferson - fixed the use of LONGVARBINARY
    ...
**********************************************************************/
package org.jpox.store.rdbms.typeinfo;

import java.sql.ResultSet;

/**
 * Represents the metadata of a Firebird data type.
 * 
 * @version $Revision: 1.1 $
 */
public class FirebirdTypeInfo extends TypeInfo
{
    /** The maximum precision we allow for DECIMAL. */
    public static final int MAX_PRECISION_DECIMAL = 18;

    /**
     * Constructs a type information object from the current row of the given
     * result set.  The {@link ResultSet} object passed must have been obtained
     * from a call to DatabaseMetaData.getTypeInfo().
     *
     * <p>This method only retrieves the values from the current row; the caller
     * is required to advance to the next row with {@link ResultSet#next}.
     *
     * @param rs The result set returned from DatabaseMetaData.getTypeInfo().
     */
    public FirebirdTypeInfo(ResultSet rs)
    {
        super(rs);

        if (typeName.equalsIgnoreCase("decimal"))
        {
            precision = MAX_PRECISION_DECIMAL;
        }
    }
}