/**********************************************************************
Copyright (c) 2004 Andy Jefferson and others. All rights reserved.
This program and the accompanying materials are made available under 
the terms of the JPOX License v1.0 which accompanies this distribution.

Contributors:
    ...
**********************************************************************/
package org.jpox.util;

/**
 * Exception thrown when a primary key class is found to be invalid for some reason.
 * 
 * @version $Revision: 1.1 $
 */
public class InvalidPrimaryKeyException extends LocalisedRuntimeException
{
    /**
     * Constructor with message resource, message param
     * @param localiser message resources
     * @param key message resources key
     * @param param1 message resources param0
     */
    public InvalidPrimaryKeyException(Localiser localiser,
                                    String key,
                                    Object param1)
    {
        super(localiser, key, param1, "", "");
    }

    /**
     * Constructor with message resource, message params
     * @param localiser message resources
     * @param key message resources key
     * @param param1 message resources param0
     * @param param2 message resources param1
     */
    public InvalidPrimaryKeyException(Localiser localiser,
                                    String key,
                                    Object param1,
                                    Object param2)
    {
        super(localiser, key, param1, param2, "");
    }
    
    /**
     * Constructor with message resource, message params
     * @param localiser message resources
     * @param key message resources key
     * @param param1 message resources param0
     * @param param2 message resources param1
     * @param param3 message resources param2
     */
    public InvalidPrimaryKeyException(Localiser localiser,
                                    String key,
                                    Object param1,
                                    Object param2,
                                    Object param3)
    {
        super(localiser, key, param1, param2, param3);
        this.messageKey = key;
    }

    /**
     * Constructor with message resource, message params
     * @param localiser message resources
     * @param key message resources key
     * @param param1 message resources param1
     * @param param2 message resources param2
     * @param param3 message resources param3
     * @param param4 message resources param4
     */
    public InvalidPrimaryKeyException(Localiser localiser,
                                    String key,
                                    Object param1,
                                    Object param2,
                                    Object param3,
                                    Object param4)
    {
        super(localiser, key, param1, param2, param3, param4);
        this.messageKey = key;
    }
}