/**********************************************************************
Copyright (c) 2004 Andy Jefferson and others. All rights reserved. 
This program and the accompanying materials are made available under
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
    ...
**********************************************************************/
package org.jpox.util;

import org.apache.log4j.LogManager;
import org.apache.log4j.Logger;

/**
 * Logging framework for JPOX.
 *
 * @version $Revision: 1.2 $   
 **/
public class JPOXLogger
{
    /**
     * Log for JDO issues
     */
    public static final Logger JDO=LogManager.getLogger("JPOX.JDO");

    /**
     * Log for JDO Lifecycle issues
     */
    public static final Logger JDO_LIFECYCLE=LogManager.getLogger("JPOX.JDO.LIFECYCLE");
    
    /**
     * Log for JDO Query issues
     */
    public static final Logger JDO_QUERY=LogManager.getLogger("JPOX.JDO.QUERY");
    
    /**
     * Log for METADATA issues
     */
    public static final Logger METADATA=LogManager.getLogger("JPOX.MetaData");

    /**
     * Log for Cache issues
     */
    public static final Logger CACHE=LogManager.getLogger("JPOX.Cache");

    /**
     * Log for General issues
     */
    public static final Logger GENERAL=LogManager.getLogger("JPOX.General");

    /**
     * Log for Transaction issues
     */
    public static final Logger TRANSACTION=LogManager.getLogger("JPOX.Transaction");

    /**
     * Log for RDBMS issues
     */
    public static final Logger RDBMS=LogManager.getLogger("JPOX.RDBMS");

    /**
     * Log for RDBMS DDL issues
     */
    public static final Logger RDBMS_DDL=LogManager.getLogger("JPOX.RDBMS.DDL");

    /**
     * Log for RDBMS SQL issues
     */
    public static final Logger RDBMS_SQL=LogManager.getLogger("JPOX.RDBMS.SQL");

    /**
     * Log for RDBMS Schema issues
     */
    public static final Logger RDBMS_SCHEMA=LogManager.getLogger("JPOX.RDBMS.SCHEMA");

    /**
     * Log for OLAP issues
     */
    public static final Logger OLAP=LogManager.getLogger("JPOX.OLAP");

    /**
     * Log for FileIO issues
     */
    public static final Logger FILEIO=LogManager.getLogger("JPOX.FileIO");

    /**
     * Log for IDE
     */
    public static final Logger IDE=LogManager.getLogger("JPOX.IDE");

    /**
     * Log for Enhancer
     */
    public static final Logger ENHANCER=LogManager.getLogger("JPOX.Enhancer");

    /**
     * Log for SchemaTool
     */
    public static final Logger SCHEMATOOL=LogManager.getLogger("JPOX.SchemaTool");
}